@echo off
setlocal
REM  Licensed Materials - Property of IBM
REM  Restricted Materials of IBM
REM 
REM  Copyright IBM Corp. 2008 All Rights Reserved.
REM  US Government Users Restricted Rights - Use, duplication or
REM  disclosure restricted by GSA ADP Schedule Contract with
REM  IBM Corp.
REM 
REM  Release Name: omsql_621
REM 
REM  Description: Copy the patch xml file into the depot
REM               so that the remote deploy GUI panel is updated.
REM
REM  Parameters:
REM    CANDLEHOME, prompt if not found
REM
REM  Returns:
REM    None
REM ======================================================
REM

REM Patch information
set PATCHID=6.2.1.1-TIV-ITM_SQL-IF0004
set XML_SRC=oq_dd_062101004.xml
set XML_DST=oq_dd_062101000.xml
set OQ_PROP=oq_dd.properties

REM ask for the ITM install directory if not in the environment
if not exist "%CANDLE_HOME%"\tmaitm6 (
:chkagain
  SET CANDLE_HOME=
  SET /P CANDLE_HOME=Enter the path of the IBM Tivoli Monitoring directory or q to quit:
)
if "%CANDLE_HOME%" == "q" goto exit
if not exist "%CANDLE_HOME%"\tmaitm6 (
  echo ERROR: %CANDLE_HOME%\tmaitm6 was not found...
  goto chkagain
)

REM make sure the source files are in the current running directory
if not exist %XML_SRC% (
  echo %XML_SRC% was not found.
  echo You must run koq_patchdepot.bat from the extracted %PATCHID% directory...
  goto exit
)
if not exist %OQ_PROP% (
  echo %OQ_PROP% was not found.
  echo You must run koq_patchdepot.bat from the extracted %PATCHID% directory...
  goto exit
)

REM get the current working directory
for /f %%i in ('cd') do set cwd=%%i

SET ANS=
SET /P ANS=Are you sure you want to patch the depot for %PATCHID%, enter (y/n):
if not "%ANS%" == "y" goto exit

REM cd to the destination directory and do the copy
for /D %%i in (%CANDLE_HOME%) do ( 
%%~di
)

REM IZ30014 Check for DEPOTHOME and use if found
if not exist "%DEPOTHOME%" (
REM  echo set default DEPOTHOME
   SET DEPOTHOME="%CANDLE_HOME%"\cms\Depot
   REM get the DEPOTHOME path from the CMS\KBBENV file
   for /f "tokens=*" %%a in ('find "DEPOTHOME=" ^<"%CANDLE_HOME%"\CMS\KBBENV') do set %%a
) ELSE (
  cd "%DEPOTHOME%"
)


cd %DEPOTHOME%\Packages

for /f %%i in ('dir /b /s %XML_DST%') do ( 
  echo Modifying %%i
  copy %cwd%\%XML_SRC% %%i
  echo Modifying %%~pi%OQ_PROP%
  copy %cwd%\%OQ_PROP% %%~pi%OQ_PROP%
)

echo koq_patchdepot.bat completed...

goto complete

:exit

echo koq_patchdepot.bat exiting...

:complete

endlocal
