/**********************************************************************/
/* @(#)52       1.34  src/koq/koq.sql, koq, omsql_dev 8/5/08 15:35:41                                      */
/*                                                                    */
/* COMPONENT_NAME: koq                                                */
/*                                                                    */
/* FUNCTIONS:                                                         */
/*                                                                    */
/* Date: 8/5/08 15:35:41                                                      */
/*                                                                    */
/* Source: src/koq/koq.sql, koq, omsql_dev                                                        */
/*                                                                    */
/* Revision: 1.34                                                      */
/*                                                                    */
/* ORIGINS:                                                           */
/*                                                                    */
/* $Id:                                                               */
/*                                                                    */
/**********************************************************************/
/* Licensed Materials - Property of IBM                               */
/* 5724-B96                                                           */
/*                                                                    */
/* Copyright IBM Corp. 2005 All Rights Reserved                       */
/* US Government Users Restricted Rights - Use, duplication or        */
/* disclosure restricted by GSA ADP Schedule Contract with            */
/* IBM Corp                                                           */
/**********************************************************************/

/* V610 - Delete any historical collection configuration for the KOQSQL
 *        attribute group.  Historical collection was not working for
 *        this group even prior to v610; to get it working appeared to
 *        require redesign of this attribute group and possibly the
 *        infrastructure, so historical collection support was removed
 *        for this table.
 */
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "UADVISOR_KOQ_KOQSQL";
DELETE FROM O4SRV.SITDB WHERE RULENAME = "KOQ.KOQSQL";
DELETE FROM O4SRV.TOBJACCL WHERE TOBJACCL.OBJNAME="UADVISOR_KOQ_KOQSQL";

/* Templates */
DELETE FROM O4SRV.TMANTMPL WHERE NAME = "MS_SQL Database";
INSERT INTO O4SRV.TMANTMPL
  (AFFINITIES,
   AREA,
   ATTRIBS,
   LSTDATE,
   LSTUSRPRF,
   NAME,
   TEXT  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   32,
   257,
   "1070328020044000",
   "IBM",
   "MS_SQL Database",
   "MS_SQL Database Template"
  );
DELETE FROM O4SRV.TMANTMPL WHERE NAME = "MS_SQL Server";
INSERT INTO O4SRV.TMANTMPL
  (AFFINITIES,
   AREA,
   ATTRIBS,
   LSTDATE,
   LSTUSRPRF,
   NAME,
   TEXT  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   32,
   1281,
   "1070328020044000",
   "IBM",
   "MS_SQL Server",
   "MS_SQL Server Default Template"
  );


/* Template status */
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "*Critical";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Database",
   "Critical",
   256,
   "*Critical"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "*STATUS_UNKNOWN";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Database",
   "Unknown",
   256,
   "*STATUS_UNKNOWN"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "*Unknown";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Database",
   "Unknown",
   256,
   "*Unknown"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "*Warning";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Database",
   "Warning",
   256,
   "*Warning"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_DB_Freespace_Critical";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Database",
   "Critical",
   0,
   "MS_SQL_DB_Freespace_Critical"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_DB_Freespace_Warning";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Database",
   "Warning",
   0,
   "MS_SQL_DB_Freespace_Warning"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_DB_Space_Pct_Used_Crit";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Database",
   "Critical",
   0,
   "MS_SQL_DB_Space_Pct_Used_Crit"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_DB_Space_Pct_Used_Warn";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Database",
   "Warning",
   0,
   "MS_SQL_DB_Space_Pct_Used_Warn"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_DB_Status_Crit";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Database",
   "Critical",
   0,
   "MS_SQL_DB_Status_Crit"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_DB_Suspect_Crit";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Database",
   "Critical",
   0,
   "MS_SQL_DB_Suspect_Crit"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Device_Free_PCT_Warning";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Database",
   "Warning",
   0,
   "MS_SQL_Device_Free_PCT_Warning"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Fragmentation_Crit";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Database",
   "Critical",
   0,
   "MS_SQL_Fragmentation_Crit"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Fragmentation_Warn";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Database",
   "Warning",
   0,
   "MS_SQL_Fragmentation_Warn"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Log_Freespace_Critical";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Database",
   "Critical",
   0,
   "MS_SQL_Log_Freespace_Critical"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Log_Freespace_Warning";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Database",
   "Warning",
   0,
   "MS_SQL_Log_Freespace_Warning"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Log_Space_Pct_Used_Crit";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Database",
   "Critical",
   0,
   "MS_SQL_Log_Space_Pct_Used_Crit"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Log_Space_Pct_Used_Warn";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Database",
   "Warning",
   0,
   "MS_SQL_Log_Space_Pct_Used_Warn"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Oldest_Transaction_Crit";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Database",
   "Critical",
   0,
   "MS_SQL_Oldest_Transaction_Crit"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Oldest_Transaction_Warn";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Database",
   "Warning",
   0,
   "MS_SQL_Oldest_Transaction_Warn"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Opt_Stats_Age_Crit";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Database",
   "Critical",
   0,
   "MS_SQL_Opt_Stats_Age_Crit"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Opt_Stats_Age_Warn";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Database",
   "Warning",
   0,
   "MS_SQL_Opt_Stats_Age_Warn"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Repl_Latency_Crit";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Database",
   "Critical",
   0,
   "MS_SQL_Repl_Latency_Crit"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Repl_Latency_Warn";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Database",
   "Warning",
   0,
   "MS_SQL_Repl_Latency_Warn"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
*Critical";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Critical",
   256,
   "*Critical"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
*STATUS_UNKNOWN";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Unknown",
   256,
   "*STATUS_UNKNOWN"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
*Unknown";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Unknown",
   256,
   "*Unknown"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
*Warning";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   256,
   "*Warning"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Block_Critical";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_Block_Critical"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Block_Warning";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_Block_Warning"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_CPU_Critical";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Critical",
   0,
   "MS_SQL_CPU_Critical"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_CPU_Warning";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_CPU_Warning"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Cache_Avg_FreePage_Crit";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Critical",
   0,
   "MS_SQL_Cache_Avg_FreePage_Crit"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Cache_Avg_FreePage_Warn";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_Cache_Avg_FreePage_Warn"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Cache_Hit_Ratio_Crit";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Critical",
   0,
   "MS_SQL_Cache_Hit_Ratio_Crit"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Cache_Hit_Ratio_Warn";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_Cache_Hit_Ratio_Warn"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Cache_Max_FreePage_Crit";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Critical",
   0,
   "MS_SQL_Cache_Max_FreePage_Crit"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Cache_Max_FreePage_Warn";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_Cache_Max_FreePage_Warn"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Client_Cnt_Pct_Used_Crit";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Critical",
   0,
   "MS_SQL_Client_Cnt_Pct_Used_Crit"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Client_Cnt_Pct_Used_Warn";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_Client_Cnt_Pct_Used_Warn"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Collection_Status_Warnin";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_Collection_Status_Warnin"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_DB_Num_Errors_Warning";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_DB_Num_Errors_Warning"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_ErrorLog_Size_Warning";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_ErrorLog_Size_Warning"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Failed_Jobs_Crit";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Critical",
   0,
   "MS_SQL_Failed_Jobs_Crit"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_IOERR_Startup_Warning";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_IOERR_Startup_Warning"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_IOError_Curintvl_Warning";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_IOError_Curintvl_Warning"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_IO_Disk_Errors_Crit";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Critical",
   0,
   "MS_SQL_IO_Disk_Errors_Crit"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Log_Suspend_Warning";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_Log_Suspend_Warning"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_LogonPct_Crit";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Critical",
   0,
   "MS_SQL_LogonPct_Crit"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Network_Read_Rate_Crit";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Critical",
   0,
   "MS_SQL_Network_Read_Rate_Crit"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Network_Read_Rate_Warn";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_Network_Read_Rate_Warn"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Network_Write_Rate_Crit";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Critical",
   0,
   "MS_SQL_Network_Write_Rate_Crit"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Network_Write_Rate_Warn";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_Network_Write_Rate_Warn"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Num_Process_Blocked_Crit";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Critical",
   0,
   "MS_SQL_Num_Process_Blocked_Crit"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Num_Process_Blocked_Warn";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_Num_Process_Blocked_Warn"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_PCT_MAX_Locks_Warning";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_PCT_MAX_Locks_Warning"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Pct_Block_Warning";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_Pct_Block_Warning"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Pct_IO_Warning";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_Pct_IO_Warning"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_ProbAge_GT_17_Warning";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_ProbAge_GT_17_Warning"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Proc_Buffs_Active_Crit";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Critical",
   0,
   "MS_SQL_Proc_Buffs_Active_Crit"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Proc_Buffs_Active_Warn";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_Proc_Buffs_Active_Warn"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Proc_Buffs_Used_Crit";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Critical",
   0,
   "MS_SQL_Proc_Buffs_Used_Crit"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Proc_Buffs_Used_Warn";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_Proc_Buffs_Used_Warn"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Proc_Cache_Active_Crit";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Critical",
   0,
   "MS_SQL_Proc_Cache_Active_Crit"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Proc_Cache_Active_Warn";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_Proc_Cache_Active_Warn"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Proc_Cache_Used_Crit";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Critical",
   0,
   "MS_SQL_Proc_Cache_Used_Crit"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Proc_Cache_Used_Warn";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_Proc_Cache_Used_Warn"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_ProcessLockSleep_Warnin";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_ProcessLockSleep_Warnin"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_ProcessOthSleep_Warning";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_ProcessOthSleep_Warning"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Process_Blocked_Warning";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_Process_Blocked_Warning"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Process_Infected_Warnin";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_Process_Infected_Warnin"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Processes_Bad_Warning";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_Processes_Bad_Warning"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Processes_Stop_Warning";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_Processes_Stop_Warning"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Rem_Serv_Stat_Critical";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Critical",
   0,
   "MS_SQL_Rem_Serv_Stat_Critical"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Status_Critical";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Critical",
   0,
   "MS_SQL_Status_Critical"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Status_Inactive";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Critical",
   0,
   "MS_SQL_Status_Inactive"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Total_Locks_Critical";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_Total_Locks_Critical"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
MS_SQL_Total_Locks_Warning";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Server",
   "Warning",
   0,
   "MS_SQL_Total_Locks_Warning"
  );
/* log shipping */ 
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Log_Shipping_Status_Err";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Database",
   "Critical",
   0,
   "MS_SQL_Log_Shipping_Status_Err"
  );
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "MS_SQL_Log_Shipping_Warning";
INSERT INTO O4SRV.TTMPLSIT
  (TEMPLATE,
   STATE,
   TYPE,
   NAME  )
VALUES
  ("MS_SQL Database",
   "Warning",
   0,
   "MS_SQL_Log_Shipping_Warning"
  );
/* Template states */
DELETE FROM O4SRV.TTMPLSTA WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "Critical";
INSERT INTO O4SRV.TTMPLSTA
  (TEMPLATE,
   NAME,
   SEVERITY,
   ATTRIBS,
   TEXT  )
VALUES
  ("MS_SQL Database",
   "Critical",
   90,
   257,
   "Critical State"
  );
DELETE FROM O4SRV.TTMPLSTA WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "Not Monitored";
INSERT INTO O4SRV.TTMPLSTA
  (TEMPLATE,
   NAME,
   SEVERITY,
   ATTRIBS,
   TEXT  )
VALUES
  ("MS_SQL Database",
   "Not Monitored",
   0,
   257,
   "Not Monitored State"
  );
DELETE FROM O4SRV.TTMPLSTA WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "OK";
INSERT INTO O4SRV.TTMPLSTA
  (TEMPLATE,
   NAME,
   SEVERITY,
   ATTRIBS,
   TEXT  )
VALUES
  ("MS_SQL Database",
   "OK",
   -1,
   65795,
   "Normal and Available State"
  );
DELETE FROM O4SRV.TTMPLSTA WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "Unknown";
INSERT INTO O4SRV.TTMPLSTA
  (TEMPLATE,
   NAME,
   SEVERITY,
   ATTRIBS,
   TEXT  )
VALUES
  ("MS_SQL Database",
   "Unknown",
   95,
   257,
   "Unknown State"
  );
DELETE FROM O4SRV.TTMPLSTA WHERE TEMPLATE = "MS_SQL Database" AND NAME =
 "Warning";
INSERT INTO O4SRV.TTMPLSTA
  (TEMPLATE,
   NAME,
   SEVERITY,
   ATTRIBS,
   TEXT  )
VALUES
  ("MS_SQL Database",
   "Warning",
   30,
   257,
   "Warning State"
  );
DELETE FROM O4SRV.TTMPLSTA WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
Critical";
INSERT INTO O4SRV.TTMPLSTA
  (TEMPLATE,
   NAME,
   SEVERITY,
   ATTRIBS,
   TEXT  )
VALUES
  ("MS_SQL Server",
   "Critical",
   90,
   257,
   "Critical State"
  );
DELETE FROM O4SRV.TTMPLSTA WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
Not Monitored";
INSERT INTO O4SRV.TTMPLSTA
  (TEMPLATE,
   NAME,
   SEVERITY,
   ATTRIBS,
   TEXT  )
VALUES
  ("MS_SQL Server",
   "Not Monitored",
   0,
   257,
   "Not Monitored State"
  );
DELETE FROM O4SRV.TTMPLSTA WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
OK";
INSERT INTO O4SRV.TTMPLSTA
  (TEMPLATE,
   NAME,
   SEVERITY,
   ATTRIBS,
   TEXT  )
VALUES
  ("MS_SQL Server",
   "OK",
   -1,
   65795,
   "Normal and Available State"
  );
DELETE FROM O4SRV.TTMPLSTA WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
Unknown";
INSERT INTO O4SRV.TTMPLSTA
  (TEMPLATE,
   NAME,
   SEVERITY,
   ATTRIBS,
   TEXT  )
VALUES
  ("MS_SQL Server",
   "Unknown",
   95,
   257,
   "Unknown State"
  );
DELETE FROM O4SRV.TTMPLSTA WHERE TEMPLATE = "MS_SQL Server" AND NAME = "
Warning";
INSERT INTO O4SRV.TTMPLSTA
  (TEMPLATE,
   NAME,
   SEVERITY,
   ATTRIBS,
   TEXT  )
VALUES
  ("MS_SQL Server",
   "Warning",
   30,
   257,
   "Warning State"
  );


/* Commands */
DELETE FROM O4SRV.CCT WHERE KEY = "Database Check-up and Tune-up";
INSERT INTO O4SRV.CCT
  (AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "koqDBCheckUp &sql_server_name &database_name &fragmentation_limit &s
ql_server_id &sql_server_password",
   "Koq:KOQ1891",
   "",
   "Database Check-up and Tune-up",
   "Koq:KOQ2136",
   "",
   "",
   "",
   ""
  );
DELETE FROM O4SRV.CCT WHERE KEY = "Dump Database";
INSERT INTO O4SRV.CCT
  (AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "koqDumpDatabase &sql_server_name &database_name &backup_device &back
up_options &validate_db &use_last_backup_device &sql_server_id &sql_serv
er_password",
   "Koq:KOQ1892",
   "",
   "Dump Database",
   "Koq:KOQ2138",
   "",
   "",
   "",
   ""
  );
DELETE FROM O4SRV.CCT WHERE KEY = "Dump Transaction Log";
INSERT INTO O4SRV.CCT
  (AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "koqDumpTransactionLog &sql_server_name &database_name &backup_device
 &backup_options &dump_option &use_last_backup_device &sql_server_id &sq
l_server_password",
   "Koq:KOQ1893",
   "",
   "Dump Transaction Log",
   "Koq:KOQ2140",
   "",
   "",
   "",
   ""
  );
DELETE FROM O4SRV.CCT WHERE KEY = "Rebuild Fragmented Indexes";
INSERT INTO O4SRV.CCT
  (AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "koqRebuildIndex &sql_server_name &database_name &table_name &index_n
ame &fragmentation_limit &fill_factor &sql_server_id &sql_server_passwor
d",
   "Koq:KOQ1894",
   "",
   "Rebuild Fragmented Indexes",
   "Koq:KOQ2142",
   "",
   "",
   "",
   ""
  );
DELETE FROM O4SRV.CCT WHERE KEY = "Refresh Query Optimizer Stats";
INSERT INTO O4SRV.CCT
  (AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "koqRefreshQueryStat &sql_server_name &database_name &table_name &ind
ex_name &sql_server_id &sql_server_password",
   "Koq:KOQ1895",
   "",
   "Refresh Query Optimizer Stats",
   "Koq:KOQ2144",
   "",
   "",
   "",
   ""
  );
DELETE FROM O4SRV.CCT WHERE KEY = "Start SQL Server";
INSERT INTO O4SRV.CCT
  (AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION  )
VALUES
  ("00000000000W00000000000000000000020000000a7",
   "net   start MSSQLSERVER",
   "Koq:KOQ1896",
   "0980416101747000",
   "Start SQL Server",
   "Koq:KOQ2146",
   "",
   "",
   "",
   ""
  );
DELETE FROM O4SRV.CCT WHERE KEY = "Stop SQL Server";
INSERT INTO O4SRV.CCT
  (AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION  )
VALUES
  ("00000000000W00000000000000000000020000000a7",
   "net stop MSSQLSERVER",
   "Koq:KOQ1897",
   "0980416101747000",
   "Stop SQL Server",
   "Koq:KOQ2148",
   "",
   "",
   "",
   ""
  );
DELETE FROM O4SRV.CCT WHERE KEY = "Update Space Usage Information";
INSERT INTO O4SRV.CCT
  (AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "koqUpdateUsage &sql_server_name &database_name &table_name &index_na
me &sql_server_id &sql_server_password",
   "Koq:KOQ1898",
   "",
   "Update Space Usage Information",
   "Koq:KOQ2150",
   "",
   "",
   "",
   ""
  );


/* Situations */
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Block_Critical";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020044000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Server_Enterprise_View.Total_Lock_Conflicts       
    *GE 60",
   "E",
   "0",
   "001413",
   "*NONE",
   "MS_SQL_Block_Critical",
   "Koq:KOQ1361",
   "NN",
   "SEV=Critical",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Block_Warning";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020044000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Server_Enterprise_View.Total_Lock_Conflicts       
    *GE  20                                                             
    *AND *VALUE MS_SQL_Server_Enterprise_View.Total_Lock_Conflicts      
    *LT 60",
   "E",
   "0",
   "001419",
   "*NONE",
   "MS_SQL_Block_Warning",
   "Koq:KOQ1362",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_CPU_Critical";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   "",
   "",
   "1070328020044000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Server_Summary.Total_OS_CPU_Percent               
      *GE 80 *AND *VALUE                                                
      MS_SQL_Server_Summary.Time_Since_Startup *GE 10",
   "E",
   "0",
   "001359",
   "*NONE",
   "MS_SQL_CPU_Critical",
   "Koq:KOQ1363",
   "NN",
   "SEV=Critical",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_CPU_Warning";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020044000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Server_Summary.Total_OS_CPU_Percent *GE 60        
      *AND *VALUE MS_SQL_Server_Summary.Total_OS_CPU_Percent *LT        
80         *AND *VALUE MS_SQL_Server_Summary.Time_Since_Startup         
*GE 10",
   "E",
   "0",
   "001419",
   "*NONE",
   "MS_SQL_CPU_Warning",
   "Koq:KOQ1364",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Cache_Avg_FreePage_Cr
it";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Server_Summary.Cache_Average_Free_Scan *GT        
   15",
   "E",
   "0",
   "000937",
   "*NONE",
   "MS_SQL_Cache_Avg_FreePage_Crit",
   "Koq:KOQ1365",
   "NNN",
   "SEV=Critical;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Cache_Avg_FreePage_Wa
rn";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Server_Summary.Cache_Average_Free_Scan *GT   10 *A
ND *VALUE MS_SQL_Server_Summary.Cache_Average_Free_Scan *LE 15",
   "E",
   "0",
   "001013",
   "*NONE",
   "MS_SQL_Cache_Avg_FreePage_Warn",
   "Koq:KOQ1366",
   "NNN",
   "SEV=Warning;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Cache_Hit_Ratio_Crit"
;
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Server_Summary.Cache_Hit_Ratio *LT 70.0 *AND *VALU
E MS_SQL_Server_Summary.Cache_Hit_Ratio *GE 0.0",
   "E",
   "0",
   "000937",
   "*NONE",
   "MS_SQL_Cache_Hit_Ratio_Crit",
   "Koq:KOQ1367",
   "NNN",
   "SEV=Critical;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Cache_Hit_Ratio_Warn"
;
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Server_Summary.Cache_Hit_Ratio *LT 90.0           
    *AND *VALUE MS_SQL_Server_Summary.Cache_Hit_Ratio *GE 70.0",
   "E",
   "0",
   "001013",
   "*NONE",
   "MS_SQL_Cache_Hit_Ratio_Warn",
   "Koq:KOQ1368",
   "NNN",
   "SEV=Warning;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Cache_Max_FreePage_Cr
it";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Server_Summary.Cache_Maximum_Free_Page_Scan       
    *GT 15",
   "E",
   "0",
   "000947",
   "*NONE",
   "MS_SQL_Cache_Max_FreePage_Crit",
   "Koq:KOQ1369",
   "NNN",
   "SEV=Critical;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Cache_Max_FreePage_Wa
rn";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Server_Summary.Cache_Maximum_Free_Page_Scan       
    *GT 5 *AND                                                          
    *VALUE MS_SQL_Server_Summary.Cache_Maximum_Free_Page_Scan           
    *LE 15",
   "E",
   "0",
   "001017",
   "*NONE",
   "MS_SQL_Cache_Max_FreePage_Warn",
   "Koq:KOQ1370",
   "NNN",
   "SEV=Warning;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Client_Cnt_Pct_Used_C
rit";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE                                                          
   MS_SQL_Statistics_Summary.Client_Count_Percent_Used                  
   *GT 90.0",
   "E",
   "0",
   "000947",
   "*NONE",
   "MS_SQL_Client_Cnt_Pct_Used_Crit",
   "Koq:KOQ1371",
   "NNN",
   "SEV=Critical;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Client_Cnt_Pct_Used_W
arn";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE                                                          
   MS_SQL_Statistics_Summary.Client_Count_Percent_Used                  
   *GT 70.0 *AND                                                        
   *VALUE MS_SQL_Statistics_Summary.Client_Count_Percent_Used           
   *LE 90.0",
   "E",
   "0",
   "001017",
   "*NONE",
   "MS_SQL_Client_Cnt_Pct_Used_Warn",
   "Koq:KOQ1372",
   "NNN",
   "SEV=Warning;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Collection_Status_War
nin";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020043000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Server_Summary.Collection_Status *NE Active",
   "E",
   "0",
   "001423",
   "*NONE",
   "MS_SQL_Collection_Status_Warnin",
   "Koq:KOQ1373",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_DB_Error_Status";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020043000",
   "V100",
   "IBM",
   "",
   "*IF *SCAN MS_SQL_Database_Detail.Error_Status *EQ 'Yes '",
   "E",
   "0",
   "001529",
   "*NONE",
   "MS_SQL_DB_Error_Status",
   "Koq:KOQ1374",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_DB_Freespace_Critical
";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   "",
   "",
   "1070328020043000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Database_Summary.Minimum_Pct_Data_Freespace *LE 10
.0 *AND *VALUE MS_SQL_Database_Summary.Minimum_Pct_Data_Freespace *GE 0.
0",
   "E",
   "0",
   "001359",
   "*NONE",
   "MS_SQL_DB_Freespace_Critical",
   "Koq:KOQ1375",
   "NN",
   "SEV=Critical",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_DB_Freespace_Warning"
;
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020043000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Database_Summary.Minimum_Pct_Data_Freespace       
      *GT 10 *AND *VALUE                                                
            MS_SQL_Database_Summary.Minimum_Pct_Data_Freespace *LE      
20",
   "E",
   "0",
   "001537",
   "*NONE",
   "MS_SQL_DB_Freespace_Warning",
   "Koq:KOQ1376",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_DB_Num_Errors_Warning
";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020043000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Database_Summary.Total_DBs_in_Error *GT 0",
   "E",
   "0",
   "001537",
   "*NONE",
   "MS_SQL_DB_Num_Errors_Warning",
   "Koq:KOQ1377",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_DB_Space_Pct_Used_Cri
t";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Database_Detail.Database_Space_Percent_Used       
   *GT 90.0",
   "E",
   "0",
   "002947",
   "*NONE",
   "MS_SQL_DB_Space_Pct_Used_Crit",
   "Koq:KOQ1378",
   "NNN",
   "ATOM=KOQDBD.UDBNAME;SEV=Critical;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_DB_Space_Pct_Used_War
n";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Database_Detail.Database_Space_Percent_Used       
   *GT 70.0 *AND                                                        
   *VALUE MS_SQL_Database_Detail.Database_Space_Percent_Used            
   *LE 90.0",
   "E",
   "0",
   "003001",
   "*NONE",
   "MS_SQL_DB_Space_Pct_Used_Warn",
   "Koq:KOQ1379",
   "NNN",
   "ATOM=KOQDBD.UDBNAME;SEV=Warning;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_DB_Status_Crit";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Database_Detail.Database_Status                   
   *NE Available",
   "E",
   "0",
   "000443",
   "*NONE",
   "MS_SQL_DB_Status_Crit",
   "Koq:KOQ1380",
   "NNN",
   "ATOM=KOQDBD.UDBNAME;SEV=Critical;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_DB_Suspect_Crit";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Database_Detail.Suspect_Database *EQ True",
   "E",
   "0",
   "000443",
   "*NONE",
   "MS_SQL_DB_Suspect_Crit",
   "Koq:KOQ1381",
   "NNN",
   "ATOM=KOQDBD.UDBNAME;SEV=Critical;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Device_Free_PCT_Warni
ng";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020043000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Device_Detail.Device_Free_Space_Percent *LE 10.0 *
AND *VALUE MS_SQL_Device_Detail.Device_Free_Space_Percent *GE 0",
   "E",
   "0",
   "001423",
   "*NONE",
   "MS_SQL_Device_Free_PCT_Warning",
   "Koq:KOQ1382",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_ErrorLog_Size_Warning
";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020043000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Problem_Summary.Error_Log_Size *GE 10000",
   "E",
   "0",
   "001541",
   "*NONE",
   "MS_SQL_ErrorLog_Size_Warning",
   "Koq:KOQ1383",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Error_Warning";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020044000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Problem_Summary.Total_Errors_High_Sev *GT 0",
   "E",
   "0",
   "001541",
   "*NONE",
   "MS_SQL_Error_Warning",
   "Koq:KOQ1384",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Failed_Jobs_Crit";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Server_Summary.SQLServerAgent_Failed_Jobs         
   *GT 0",
   "E",
   "0",
   "000453",
   "*NONE",
   "MS_SQL_Failed_Jobs_Crit",
   "Koq:KOQ1385",
   "NNN",
   "SEV=Critical;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Fragmentation_Crit";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Table_Detail.Fragmentation *GT 80.0",
   "E",
   "0",
   "002947",
   "*NONE",
   "MS_SQL_Fragmentation_Crit",
   "Koq:KOQ1386",
   "NNN",
   "ATOM=KOQTBLD.UTBLNAME;SEV=Critical;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Fragmentation_Warn";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Table_Detail.Fragmentation                        
   *GT 30.0 *AND                                                        
   *VALUE MS_SQL_Table_Detail.Fragmentation                             
   *LE 80.0",
   "E",
   "0",
   "003001",
   "*NONE",
   "MS_SQL_Fragmentation_Warn",
   "Koq:KOQ1387",
   "NNN",
   "ATOM=KOQTBLD.UTBLNAME;SEV=Warning;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_IOERR_Startup_Warning
";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020043000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Statistics_Summary.IO_Errors_Since_Startup *GE    
10   *AND *VALUE                                                        
MS_SQL_Statistics_Summary.Percent_IO_Errors_Current_Interval    *GE     
5",
   "E",
   "0",
   "001437",
   "*NONE",
   "MS_SQL_IOERR_Startup_Warning",
   "Koq:KOQ1388",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_IOError_Curintvl_Warn
ing";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020043000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Statistics_Summary.IO_Errors_Current_Interval     
*GE    80",
   "E",
   "0",
   "001437",
   "*NONE",
   "MS_SQL_IOError_Curintvl_Warning",
   "Koq:KOQ1389",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_IO_Disk_Errors_Crit";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Statistics_Detail.Statistic_Name                  
   *EQ 'io errors'                                                      
   *AND *VALUE MS_SQL_Statistics_Detail.Current_Value                   
   *GT 0",
   "E",
   "0",
   "000953",
   "*NONE",
   "MS_SQL_IO_Disk_Errors_Crit",
   "Koq:KOQ1390",
   "NNN",
   "SEV=Critical;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Log_Freespace_Critica
l";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   "",
   "",
   "1070328020043000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Database_Summary.Minimum_Pct_Log_Freespace *LE 10.
0 *AND *VALUE MS_SQL_Database_Summary.Minimum_Pct_Log_Freespace *GE 0.0"
,
   "E",
   "0",
   "001359",
   "*NONE",
   "MS_SQL_Log_Freespace_Critical",
   "Koq:KOQ1391",
   "NN",
   "SEV=Critical",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Log_Freespace_Warning
";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020043000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Database_Summary.Minimum_Pct_Log_Freespace        
      *GT 10 *AND *VALUE                                                
            MS_SQL_Database_Summary.Minimum_Pct_Log_Freespace *LE       
20",
   "E",
   "0",
   "001547",
   "*NONE",
   "MS_SQL_Log_Freespace_Warning",
   "Koq:KOQ1392",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Log_Shipping_Status_E
rr";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#W########F",                      
   "",                                                                 
   "*NO",                                                              
   "",                                                                 
   "en_US",                                                            
   "1080812120810000",                                                 
   "V100",                                                             
   "SYSADMIN",                                                         
   "",                                                                 
   "*IF *VALUE MS_SQL_Log_Shipping_Jobs_Detail.Job_Status *EQ Error",      
   "E",                                                                
   "0",                                                                
   "001500",                                                           
   "*NONE",                                                            
   "MS_SQL_Log_Shipping_Status_Err",                                 
   "Koq:KOQ5357",                                                      
   "NNN",                                                              
   "SEV=Critical;~",                                                      
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',                               
   "*NONE"                                                             
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Log_Shipping_Warning"
;
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#W########F",
   "",
   "*NO",
   "",
   "en_US",
   "1080812120810000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE MS_SQL_Log_Shipping_DB_Details.Threshold_Exceeded *EQ 1",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Log_Shipping_Warning",
   "Koq:KOQ5358",
   "NNN",
   "SEV=Warning;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Log_Space_Pct_Used_Cr
it";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Database_Detail.Log_Space_Percent_Used            
   *GT 90.0",
   "E",
   "0",
   "002949",
   "*NONE",
   "MS_SQL_Log_Space_Pct_Used_Crit",
   "Koq:KOQ1393",
   "NNN",
   "ATOM=KOQDBD.UDBNAME;SEV=Critical;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Log_Space_Pct_Used_Wa
rn";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Database_Detail.Log_Space_Percent_Used *GT        
   70.0 *AND                                                            
   *VALUE MS_SQL_Database_Detail.Log_Space_Percent_Used                 
   *LE 90.0",
   "E",
   "0",
   "003011",
   "*NONE",
   "MS_SQL_Log_Space_Pct_Used_Warn",
   "Koq:KOQ1394",
   "NNN",
   "ATOM=KOQDBD.UDBNAME;SEV=Warning;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Log_Suspend_Warning";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020043000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Process_Summary.Total_Log_Suspend *GE 1",
   "E",
   "0",
   "001441",
   "*NONE",
   "MS_SQL_Log_Suspend_Warning",
   "Koq:KOQ1395",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_LogonPct_Crit";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE                                                          
   MS_SQL_Statistics_Summary.Percent_Max_Logons_Active                  
   *GT 90.0",
   "E",
   "0",
   "002949",
   "*NONE",
   "MS_SQL_LogonPct_Crit",
   "Koq:KOQ1396",
   "NNN",
   "SEV=Critical;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_LogonPct_Warning";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020043000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Statistics_Summary.Percent_Max_Logons_Active      
      *GE 90",
   "E",
   "0",
   "001441",
   "*NONE",
   "MS_SQL_LogonPct_Warning",
   "Koq:KOQ1397",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Long_Running_Trans_Wa
rn";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#W########F",
   "",
   "*YES",
   "",
   "en_US",
   "1080908132154000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE MS_SQL_Database_Detail.Long_Running_Transaction_Time_Per_
Sec *GE 0",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Long_Running_Trans_Warn",
   "Koq:KOQ5226",
   "NNN",
   "COUNT=2;ATOM=KOQDBD.LRTNAME;TFWD=Y;TDST=0;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Mirror_Failover_Criti
cal";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#W########F",
   "",
   "*NO",
   "",
   "en_US",
   "1080812120810000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE MS_SQL_Database_Mirroring.Mirroring_State *EQ 3",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Mirror_Failover_Critical",
   "Koq:KOQ5177",
   "NNN",
   "SEV=Critical;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Mirror_Lagging_Warnin
g";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#W########F",
   "",
   "*YES",
   "",
   "en_US",
   "1080812120819000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE MS_SQL_Database_Mirroring.Mirroring_State *EQ Synchronizi
ng",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Mirror_Lagging_Warning",
   "Koq:KOQ5178",
   "NNN",
   "SEV=Warning;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Mirror_Suspended_Warn
ing";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#W########F",
   "",
   "*NO",
   "",
   "en_US",
   "1080812120833000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE MS_SQL_Database_Mirroring.Mirroring_State *EQ Suspended",

   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Mirror_Suspended_Warning",
   "Koq:KOQ5179",
   "NNN",
   "SEV=Warning;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Network_Read_Rate_Cri
t";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Statistics_Summary.Network_Read_Rate              
   *GT 150",
   "E",
   "0",
   "000953",
   "*NONE",
   "MS_SQL_Network_Read_Rate_Crit",
   "Koq:KOQ1398",
   "NNN",
   "SEV=Critical;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Network_Read_Rate_War
n";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Statistics_Summary.Network_Read_Rate              
   *GT 50 *AND                                                          
   *VALUE MS_SQL_Statistics_Summary.Network_Read_Rate                   
   *LE 150",
   "E",
   "0",
   "001019",
   "*NONE",
   "MS_SQL_Network_Read_Rate_Warn",
   "Koq:KOQ1399",
   "NNN",
   "SEV=Warning;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Network_Write_Rate_Cr
it";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Statistics_Summary.Network_Write_Rate             
   *GT 150",
   "E",
   "0",
   "000959",
   "*NONE",
   "MS_SQL_Network_Write_Rate_Crit",
   "Koq:KOQ1400",
   "NNN",
   "SEV=Critical;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Network_Write_Rate_Wa
rn";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Statistics_Summary.Network_Write_Rate             
   *GT 50 *AND                                                          
   *VALUE MS_SQL_Statistics_Summary.Network_Write_Rate                  
   *LE 150",
   "E",
   "0",
   "001019",
   "*NONE",
   "MS_SQL_Network_Write_Rate_Warn",
   "Koq:KOQ1401",
   "NNN",
   "SEV=Warning;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Num_Process_Blocked_C
rit";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Process_Summary.Total_Processes_Blocked           
   *GT 10",
   "E",
   "0",
   "000959",
   "*NONE",
   "MS_SQL_Num_Process_Blocked_Crit",
   "Koq:KOQ1402",
   "NNN",
   "SEV=Critical;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Num_Process_Blocked_W
arn";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Process_Summary.Total_Processes_Blocked           
   *GT 2 *AND                                                           
   *VALUE MS_SQL_Process_Summary.Total_Processes_Blocked                
   *LE 10",
   "E",
   "0",
   "001031",
   "*NONE",
   "MS_SQL_Num_Process_Blocked_Warn",
   "Koq:KOQ1403",
   "NNN",
   "SEV=Warning;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Oldest_Transaction_Cr
it";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Database_Detail.Oldest_Open_Transaction           
   *GT 15",
   "E",
   "0",
   "000453",
   "*NONE",
   "MS_SQL_Oldest_Transaction_Crit",
   "Koq:KOQ1404",
   "NNN",
   "ATOM=KOQDBD.UDBNAME;SEV=Critical;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Oldest_Transaction_Wa
rn";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Database_Detail.Oldest_Open_Transaction           
   *GT 5 *AND                                                           
   *VALUE MS_SQL_Database_Detail.Oldest_Open_Transaction                
   *LE 15",
   "E",
   "0",
   "000507",
   "*NONE",
   "MS_SQL_Oldest_Transaction_Warn",
   "Koq:KOQ1405",
   "NNN",
   "ATOM=KOQDBD.UDBNAME;SEV=Warning;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Opt_Stats_Age_Crit";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Table_Detail.Optimizer_Statistics_Age             
   *GT 1440",
   "E",
   "0",
   "030000",
   "*NONE",
   "MS_SQL_Opt_Stats_Age_Crit",
   "Koq:KOQ1406",
   "NNN",
   "ATOM=KOQTBLD.UTBLNAME;SEV=Critical;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Opt_Stats_Age_Warn";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Table_Detail.Optimizer_Statistics_Age             
   *GT 180 *AND                                                         
   *VALUE MS_SQL_Table_Detail.Optimizer_Statistics_Age                  
   *LE 1440",
   "E",
   "0",
   "030000",
   "*NONE",
   "MS_SQL_Opt_Stats_Age_Warn",
   "Koq:KOQ1407",
   "NNN",
   "ATOM=KOQTBLD.UTBLNAME;SEV=Warning;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_PCT_MAX_Locks_Critica
l";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020044000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Server_Enterprise_View.Percent_Max_Locks          
    *GE 80",
   "E",
   "0",
   "001413",
   "*NONE",
   "MS_SQL_PCT_MAX_Locks_Critical",
   "Koq:KOQ1408",
   "NN",
   "SEV=Critical",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_PCT_MAX_Locks_Warning
";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020044000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Server_Enterprise_View.Percent_Max_Locks          
    *GE 60 *AND                                                         
     *VALUE MS_SQL_Server_Enterprise_View.Percent_Max_Locks             
    *LT 80",
   "E",
   "0",
   "001443",
   "*NONE",
   "MS_SQL_PCT_MAX_Locks_Warning",
   "Koq:KOQ1409",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Pct_Block_Warning";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020044000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Server_Enterprise_View.Percent_Process_Block      
   *GE  50",
   "E",
   "0",
   "001443",
   "*NONE",
   "MS_SQL_Pct_Block_Warning",
   "Koq:KOQ1410",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Pct_CPU_Yields_Warnin
g";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020044000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Process_Detail.Current_CPU_Percent_Used *GT       
75",
   "E",
   "0",
   "001447",
   "*NONE",
   "MS_SQL_Pct_CPU_Yields_Warning",
   "Koq:KOQ1411",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Pct_IO_Warning";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020044000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Statistics_Summary.Total_OS_IO_Percent_Busy       
      *GE 90",
   "E",
   "0",
   "001447",
   "*NONE",
   "MS_SQL_Pct_IO_Warning",
   "Koq:KOQ1412",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_ProbAge_GT_17_Warning
";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020044000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Problem_Summary.Age_of_Last_Error *GE 30 *AND     
     *VALUE MS_SQL_Problem_Summary.Maximum_Sev_Current_Interval         
*GE 17",
   "E",
   "0",
   "001547",
   "*NONE",
   "MS_SQL_ProbAge_GT_17_Warning",
   "Koq:KOQ1413",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Proc_Buffs_Active_Cri
t";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Server_Detail.Procedure_Buffers_Percent_Active *LT
 75.0 *AND *VALUE MS_SQL_Server_Detail.Procedure_Buffers_Percent_Active 
*GE 0.0",
   "E",
   "0",
   "001001",
   "*NONE",
   "MS_SQL_Proc_Buffs_Active_Crit",
   "Koq:KOQ1414",
   "NNN",
   "SEV=Critical;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Proc_Buffs_Active_War
n";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE                                                          
   MS_SQL_Server_Detail.Procedure_Buffers_Percent_Active                
   *LT 95.0 *AND                                                        
   *VALUE MS_SQL_Server_Detail.Procedure_Buffers_Percent_Active         
   *GE 75.0",
   "E",
   "0",
   "001031",
   "*NONE",
   "MS_SQL_Proc_Buffs_Active_Warn",
   "Koq:KOQ1415",
   "NNN",
   "SEV=Warning;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Proc_Buffs_Used_Crit"
;
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Server_Detail.Procedure_Buffers_Percent_Used *LT 7
5.0 *AND *VALUE MS_SQL_Server_Detail.Procedure_Buffers_Percent_Used *GE 
0.0",
   "E",
   "0",
   "001001",
   "*NONE",
   "MS_SQL_Proc_Buffs_Used_Crit",
   "Koq:KOQ1416",
   "NNN",
   "SEV=Critical;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Proc_Buffs_Used_Warn"
;
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE                                                          
   MS_SQL_Server_Detail.Procedure_Buffers_Percent_Used                  
   *LT 95.0 *AND                                                        
   *VALUE MS_SQL_Server_Detail.Procedure_Buffers_Percent_Used           
   *GE 75.0",
   "E",
   "0",
   "001041",
   "*NONE",
   "MS_SQL_Proc_Buffs_Used_Warn",
   "Koq:KOQ1417",
   "NNN",
   "SEV=Warning;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Proc_Cache_Active_Cri
t";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020050000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Server_Detail.Procedure_Cache_Percent_Active *LT 7
5.0 *AND *VALUE MS_SQL_Server_Detail.Procedure_Cache_Percent_Active *GE 
0.0",
   "E",
   "0",
   "001007",
   "*NONE",
   "MS_SQL_Proc_Cache_Active_Crit",
   "Koq:KOQ1418",
   "NNN",
   "SEV=Critical;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Proc_Cache_Active_War
n";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020051000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE                                                          
   MS_SQL_Server_Detail.Procedure_Cache_Percent_Active                  
   *LT 95.0 *AND *VALUE                                                 
   MS_SQL_Server_Detail.Procedure_Cache_Percent_Active                  
   *GE 75.0",
   "E",
   "0",
   "001041",
   "*NONE",
   "MS_SQL_Proc_Cache_Active_Warn",
   "Koq:KOQ1419",
   "NNN",
   "SEV=Warning;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Proc_Cache_Used_Crit"
;
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020051000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Server_Detail.Procedure_Cache_Percent_Used *LT 75.
0 *AND *VALUE MS_SQL_Server_Detail.Procedure_Cache_Percent_Used *GE 0.0"
,
   "E",
   "0",
   "001007",
   "*NONE",
   "MS_SQL_Proc_Cache_Used_Crit",
   "Koq:KOQ1420",
   "NNN",
   "SEV=Critical;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Proc_Cache_Used_Warn"
;
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020051000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Server_Detail.Procedure_Cache_Percent_Used        
   *LT 95.0 *AND *VALUE                                                 
   MS_SQL_Server_Detail.Procedure_Cache_Percent_Used *GE 75.0",
   "E",
   "0",
   "001041",
   "*NONE",
   "MS_SQL_Proc_Cache_Used_Warn",
   "Koq:KOQ1421",
   "NNN",
   "SEV=Warning;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_ProcessLockSleep_Warn
in";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020044000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Process_Summary.Percent_Processes_Locksleep       
      *GE 10 *AND                                                       
            *VALUE                                                      
MS_SQL_Process_Summary.Total_Processes_Locksleep *GE 5",
   "E",
   "0",
   "001507",
   "*NONE",
   "MS_SQL_ProcessLockSleep_Warnin",
   "Koq:KOQ1422",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_ProcessOthSleep_Warni
ng";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020044000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Process_Summary.Total_Other_Sleep *GE 2 *AND      
      *VALUE MS_SQL_Process_Summary.Percent_Processes_Othersleep        
            *GE 50",
   "E",
   "0",
   "001507",
   "*NONE",
   "MS_SQL_ProcessOthSleep_Warning",
   "Koq:KOQ1423",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Process_Blocked_Warni
ng";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020044000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Process_Summary.Percent_Processes_Blocked         
      *GE 25 *AND *VALUE                                                
            MS_SQL_Process_Summary.Total_Processes_Blocked *GE 5",
   "E",
   "0",
   "001511",
   "*NONE",
   "MS_SQL_Process_Blocked_Warning",
   "Koq:KOQ1424",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Process_Infected_Warn
in";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020044000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Process_Summary.Total_Processes_Infected *GE 1",
   "E",
   "0",
   "001511",
   "*NONE",
   "MS_SQL_Process_Infected_Warnin",
   "Koq:KOQ1425",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Processes_Bad_Warning
";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020044000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Process_Summary.Total_Processes_Bad *GE 1",
   "E",
   "0",
   "001519",
   "*NONE",
   "MS_SQL_Processes_Bad_Warning",
   "Koq:KOQ1426",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Processes_Stop_Warnin
g";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020044000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Process_Summary.Total_Processes_Stopped           
      *GE 5 *AND *VALUE                                                 
            MS_SQL_Process_Summary.Percent_Processes_Stopped *GE        
10",
   "E",
   "0",
   "001519",
   "*NONE",
   "MS_SQL_Processes_Stop_Warning",
   "Koq:KOQ1427",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Rem_Serv_Stat_Critica
l";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020044000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Remote_Servers.Remote_Server_Status               
    *EQ Inactive",
   "E",
   "0",
   "001417",
   "*NONE",
   "MS_SQL_Rem_Serv_Stat_Critical",
   "Koq:KOQ1428",
   "NN",
   "SEV=Critical",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Repl_Latency_Crit";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020051000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Database_Detail.Replication_Latency               
   *GT 900000",
   "E",
   "0",
   "000507",
   "*NONE",
   "MS_SQL_Repl_Latency_Crit",
   "Koq:KOQ1429",
   "NNN",
   "ATOM=KOQDBD.UDBNAME;SEV=Critical;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Repl_Latency_Warn";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#y000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070328020051000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Database_Detail.Replication_Latency               
   *GT 120000 *AND *VALUE                                               
   MS_SQL_Database_Detail.Replication_Latency *LE 900000",
   "E",
   "0",
   "000507",
   "*NONE",
   "MS_SQL_Repl_Latency_Warn",
   "Koq:KOQ1430",
   "NNN",
   "ATOM=KOQDBD.UDBNAME;SEV=Warning;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Status_Critical";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   "",
   "",
   "1070328020044000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Server_Summary.Server_Status *NE Active",
   "E",
   "0",
   "001359",
   "*NONE",
   "MS_SQL_Status_Critical",
   "Koq:KOQ1431",
   "NN",
   "SEV=Critical",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Status_Inactive";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020043000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Server_Summary.Server_Status *EQ Inactive",
   "E",
   "0",
   "000200",
   "*NONE",
   "MS_SQL_Status_Inactive",
   "Koq:KOQ1432",
   "NN",
   "SEV=Critical",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   'koqmail user@domain "Message from the Candle Command Center:        
SQL Server &MS_SQL_Server_Summary.Server on host                        
&MS_SQL_Server_Summary.Host_Name has stopped"'
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Total_Locks_Critical"
;
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020044000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Server_Enterprise_View.Total_Locks *GE  4000",
   "E",
   "0",
   "001417",
   "*NONE",
   "MS_SQL_Total_Locks_Critical",
   "Koq:KOQ1433",
   "NN",
   "SEV=Critical",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "MS_SQL_Total_Locks_Warning";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   "",
   "",
   "1070328020044000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Server_Enterprise_View.Total_Locks *GE  200",
   "E",
   "0",
   "001529",
   "*NONE",
   "MS_SQL_Total_Locks_Warning",
   "Koq:KOQ1434",
   "NN",
   "SEV=Warning",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "UADVISOR_KOQ_VKOQSRVR";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "",
   "*SYN",
   "",
   "65535",
   "0960926161025000",
   "1.0",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Remote_Servers.Server *GT *NONE",
   "I",
   "00",
   "000200",
   "",
   "UADVISOR_KOQ_VKOQSRVR",
   "Koq:KOQ1435",
   "NN",
   "",
   "",
   "*NONE"
  );
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "UADVISOR_KOQ_VKOQSRVRE";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W0000000000000000000000000000000",
   "",
   "*SYN",
   "",
   "65535",
   "0960930102429000",
   "1.0",
   "IBM",
   "",
   "*IF *VALUE MS_SQL_Server_Enterprise_View.Server *GT *NONE",
   "I",
   "00",
   "000200",
   "",
   "UADVISOR_KOQ_VKOQSRVRE",
   "Koq:KOQ1436",
   "NN",
   "",
   "",
   "*NONE"
  );

/* UADVISOR situation for MS SQL Enterprise Database Mirror Table  */
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "UADVISOR_KOQ_VKOQDBMIR";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
   ("00000000000W00000000000000000000#W000000000",
    "",
    "*SYN",
    "",
    "65535",
    "0960926161025000",
    "1.0",
    "IBM",
    "",
    "*IF *VALUE MS_SQL_Database_Mirroring.Server *GT *NONE",
    "I",
    "00",
    "000200",
    "",
    "UADVISOR_KOQ_VKOQDBMIR",
    "Koq:KOQ5347",
    "NN",
    "",
    "",
    "*NONE"
  );

/* UADVISOR situation for MS SQL Enterprise Log Shipping Mirror Table*/
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "UADVISOR_KOQ_VKOQLSDBD";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
   ("00000000000W00000000000000000000#W000000000",
    "",
    "*SYN",
    "",
    "65535",
    "0960926161025000",
    "1.0",
    "IBM",
    "",
    "*IF *VALUE MS_SQL_Log_Shipping_DB_Details.Server *GT *NONE",
    "I",
    "00",
    "000200",
    "",
    "UADVISOR_KOQ_VKOQLSDBD",
    "Koq:KOQ5348",
    "NN",
    "",
    "",
    "*NONE"
  );
/* Insert rule for MS Enterprise Database Mirror  */
DELETE FROM O4SRV.SITDB WHERE RULENAME = "KOQ.VKOQDBMIR";
INSERT INTO O4SRV.SITDB
  (RULENAME,
   PREDICATE  )
VALUES
  ("KOQ.VKOQDBMIR",
   'SELECT ORIGINNODE, TIMESTAMP, SERVERID, HOSTNAME,  
       MIRNAME, SYNCSTATE, MIRSTATE, MIRROLE, BSPERSEC, PSPERSEC,
       SPERSEC, TRANDEL, REDOQKB, REDOPSEC, LOGSQKB, BRPERSEC,
       RECPSEC, LBRPSEC, LBSPSEC, SRATIME, LCBRPS, LCBSPS,
       MWTPS, LSFUKB, LRFUKB, LBSFCPS, LBRFCPS, LOGSFCT,
       LHARDTIME, SAMPTIME
     FROM KOQ.KOQDBMIR                                                 
     WHERE SYSTEM.PARMA("NODELIST","*ALL",4)
       AND SYSTEM.PARMA("SITNAME","UADVISOR_KOQ_VKOQDBMIR",22)'
  );

/* Insert rule for MS Enterprise Log Shipping  */
DELETE FROM O4SRV.SITDB WHERE RULENAME = "KOQ.VKOQLSDBD";
INSERT INTO O4SRV.SITDB
  (RULENAME,
   PREDICATE  )
VALUES
  ("KOQ.VKOQLSDBD",
   'SELECT ORIGINNODE, TIMESTAMP, 
       SRVTYPELS, SERVERID, UDBNAME, DBID, THRESHOLD, THRESEXCD,
       LSTFILE, LSTFILTM, ERRMSG, LSSOURCE, SAMPTIME
     FROM KOQ.KOQLSDBD                                                 
     WHERE SYSTEM.PARMA("NODELIST","*ALL",4)
       AND SYSTEM.PARMA("SITNAME","UADVISOR_KOQ_VKOQLSDBD",22)'
  );                               

/* SITDB */
DELETE FROM O4SRV.SITDB WHERE RULENAME = "KOQ.VKOQSRVR";
INSERT INTO O4SRV.SITDB
  (RULENAME,
   PREDICATE  )
VALUES
  ("KOQ.VKOQSRVR",
   'SELECT ORIGINNODE, SAMPLENO, ROWNO, TIMESTAMP, SERVERID, HOSTNAME,  
       RSRVID, RSRVSTATUS, RSRVNAME, RSRVNETNM, RSRVCONNLV,             
       CURRINTL, SAMPTIME                                               
     FROM KOQ.KOQSRVR                                                   
     WHERE SYSTEM.PARMA("NODELIST","*ALL",4)
       AND SYSTEM.PARMA("SITNAME","UADVISOR_KOQ_VKOQSRVR",21)'
  );
DELETE FROM O4SRV.SITDB WHERE RULENAME = "KOQ.VKOQSRVRE";
INSERT INTO O4SRV.SITDB
  (RULENAME,
   PREDICATE  )
VALUES
  ("KOQ.VKOQSRVRE",
   'SELECT ORIGINNODE, SAMPLENO, ROWNO, TIMESTAMP, SERVERID, HOSTNAME,  
       COLLSTATUS,PCTLOCKS,                                             
       PCTCPU, PCTOSCPU, SRVAGE, SRVVERSN, NUMDBS,                      
       MINDBFREE, MINLOGFREE, NUMLOCKS, NUMCONFL, MAXLOCK, MAXBLOCK,    
       TBMXLOCK, PCTBLOCK,                                              
       SRVCPUPCT, APPCPUPCT, NUMPROCESS, NUMBLOCK,                      
       LASTERRAGE, MAXSEV, MAXSEVTIME, NUMSEVG17, ERRLOGSZ,             
       LOGONCURR, LOGONPCT, PHYRDPSEC, PHYWRPSEC, IOERRSCURR, SAMPTIME, 
       SRVSTATUS, UMAXLOCK, UMAXBLOCK, UTBMXLOCK, SQLVER                       
     FROM KOQ.KOQSRVRE                                                  
     WHERE SYSTEM.PARMA("NODELIST","*ALL",4)
       AND SYSTEM.PARMA("SITNAME","UADVISOR_KOQ_VKOQSRVRE",22)'
  );


/* Object activation list */
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Block_Critical" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Block_Critical",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Block_Warning" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Block_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_CPU_Critical" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_CPU_Critical",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_CPU_Warning" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_CPU_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Cache_Avg_FreePage_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Cache_Avg_FreePage_Crit",
   "Y",
   "1050319143928000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Cache_Avg_FreePage_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Cache_Avg_FreePage_Warn",
   "Y",
   "1050317112230000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Cache_Hit_Ratio_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Cache_Hit_Ratio_Crit",
   "Y",
   "1050319144508000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Cache_Hit_Ratio_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Cache_Hit_Ratio_Warn",
   "Y",
   "1050319144351000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Cache_Max_FreePage_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Cache_Max_FreePage_Crit",
   "Y",
   "1050319144900000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Cache_Max_FreePage_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Cache_Max_FreePage_Warn",
   "Y",
   "1050319144731000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Client_Cnt_Pct_Used_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Client_Cnt_Pct_Used_Crit",
   "Y",
   "1050319145659000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Client_Cnt_Pct_Used_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Client_Cnt_Pct_Used_Warn",
   "Y",
   "1050319145608000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Collection_Status_Warnin" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Collection_Status_Warnin",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_DB_Error_Status" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_DB_Error_Status",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_DB_Freespace_Critical" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_DB_Freespace_Critical",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_DB_Freespace_Warning" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_DB_Freespace_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_DB_Num_Errors_Warning" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_DB_Num_Errors_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_DB_Space_Pct_Used_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_DB_Space_Pct_Used_Crit",
   "Y",
   "1050320165457000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_DB_Space_Pct_Used_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_DB_Space_Pct_Used_Warn",
   "Y",
   "1050320165402000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_DB_Status_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_DB_Status_Crit",
   "Y",
   "1050407150724000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_DB_Suspect_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_DB_Suspect_Crit",
   "Y",
   "1050407151036000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Device_Free_PCT_Warning" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Device_Free_PCT_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_ErrorLog_Size_Warning" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_ErrorLog_Size_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Error_Warning" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Error_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Failed_Jobs_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Failed_Jobs_Crit",
   "Y",
   "1050319152354000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Fragmentation_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Fragmentation_Crit",
   "Y",
   "1050328152933000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Fragmentation_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Fragmentation_Warn",
   "Y",
   "1050328152933000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_IOERR_Startup_Warning" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_IOERR_Startup_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_IOError_Curintvl_Warning" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_IOError_Curintvl_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_IO_Disk_Errors_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_IO_Disk_Errors_Crit",
   "Y",
   "1050328152933000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Log_Freespace_Critical" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Log_Freespace_Critical",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Log_Freespace_Warning" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Log_Freespace_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Log_Space_Pct_Used_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Log_Space_Pct_Used_Crit",
   "Y",
   "1050320170307000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Log_Space_Pct_Used_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Log_Space_Pct_Used_Warn",
   "Y",
   "1050320170226000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Log_Suspend_Warning" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Log_Suspend_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_LogonPct_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_LogonPct_Crit",
   "Y",
   "1050319152159000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_LogonPct_Warning" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_LogonPct_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Long_Running_Trans_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Long_Running_Trans_Warn",
   "Y",
   "1080908131514000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Mirror_Failover_Critical" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Mirror_Failover_Critical",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Mirror_Lagging_Warning" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Mirror_Lagging_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Mirror_Suspended_Warning" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Mirror_Suspended_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
/* log shipping assigns to ms sql server */
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Log_Shipping_Status_Err" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Log_Shipping_Status_Err",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
/* log shipping */
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Log_Shipping_Warning" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Log_Shipping_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Network_Read_Rate_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Network_Read_Rate_Crit",
   "Y",
   "1050319151613000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Network_Read_Rate_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Network_Read_Rate_Warn",
   "Y",
   "1050319151538000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Network_Write_Rate_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Network_Write_Rate_Crit",
   "Y",
   "1050319151832000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Network_Write_Rate_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Network_Write_Rate_Warn",
   "Y",
   "1050319151750000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Num_Process_Blocked_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Num_Process_Blocked_Crit",
   "Y",
   "1050320171520000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Num_Process_Blocked_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Num_Process_Blocked_Warn",
   "Y",
   "1050320171424000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Oldest_Transaction_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Oldest_Transaction_Crit",
   "Y",
   "1050320170643000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Oldest_Transaction_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Oldest_Transaction_Warn",
   "Y",
   "1050320170547000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Opt_Stats_Age_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Opt_Stats_Age_Crit",
   "Y",
   "1050328152933000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Opt_Stats_Age_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Opt_Stats_Age_Warn",
   "Y",
   "1050328152933000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_PCT_MAX_Locks_Critical" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_PCT_MAX_Locks_Critical",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_PCT_MAX_Locks_Warning" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_PCT_MAX_Locks_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Pct_Block_Warning" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Pct_Block_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Pct_CPU_Yields_Warning" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Pct_CPU_Yields_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Pct_IO_Warning" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Pct_IO_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_ProbAge_GT_17_Warning" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_ProbAge_GT_17_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Proc_Buffs_Active_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Proc_Buffs_Active_Crit",
   "Y",
   "1050319150338000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Proc_Buffs_Active_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Proc_Buffs_Active_Warn",
   "Y",
   "1050318093943000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Proc_Buffs_Used_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Proc_Buffs_Used_Crit",
   "Y",
   "1050319150615000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Proc_Buffs_Used_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Proc_Buffs_Used_Warn",
   "Y",
   "1050319150523000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Proc_Cache_Active_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Proc_Cache_Active_Crit",
   "Y",
   "1050319150936000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Proc_Cache_Active_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Proc_Cache_Active_Warn",
   "Y",
   "1050319150848000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Proc_Cache_Used_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Proc_Cache_Used_Crit",
   "Y",
   "1050319151226000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Proc_Cache_Used_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Proc_Cache_Used_Warn",
   "Y",
   "1050319151150000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_ProcessLockSleep_Warnin" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_ProcessLockSleep_Warnin",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_ProcessOthSleep_Warning" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_ProcessOthSleep_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Process_Blocked_Warning" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Process_Blocked_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Process_Infected_Warnin" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Process_Infected_Warnin",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Processes_Bad_Warning" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Processes_Bad_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Processes_Stop_Warning" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Processes_Stop_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Rem_Serv_Stat_Critical" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Rem_Serv_Stat_Critical",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Repl_Latency_Crit" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Repl_Latency_Crit",
   "Y",
   "1050320171118000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Repl_Latency_Warn" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Repl_Latency_Warn",
   "Y",
   "1050320171042000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Status_Critical" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Status_Critical",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Status_Inactive" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Status_Inactive",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Total_Locks_Critical" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Total_Locks_Critical",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );
DELETE FROM O4SRV.TOBJACCL WHERE NODEL = "*MS_SQL_SERVER" AND OBJNAME = 
"MS_SQL_Total_Locks_Warning" AND OBJCLASS = "5140";
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Total_Locks_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );


/* Policies */
DELETE FROM O4SRV.TPCYDESC WHERE PCYNAME = "MS_SQL_DB_free_space_critica
l";
INSERT INTO O4SRV.TPCYDESC
  (PCYNAME,
   AFFINITIES,
   AUTOSTART,
   COMPOPT,
   HNOCOL,
   HUB,
   LMTRESTART,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PCYOPT,
   QIBSCOPE,
   SOURCE,
   TEXT  )
VALUES
  ("MS_SQL_DB_free_space_critical",
   "00000000000W00000000000000000000##000000000",
   "*NO",
   "*YES",
   "",
   "",
   "*NO",
   "",
   "",
   "1070328020049000",
   "",
   "IBM",
   "",
   "YY",
   "E",
   "",
   "Koq:KOQ1360"
  );


/* Policy activities */
DELETE FROM O4SRV.TACTYPCY WHERE PCYNAME = "MS_SQL_DB_free_space_critica
l" AND ACTNAME = "ko136";
INSERT INTO O4SRV.TACTYPCY
  (PCYNAME,
   ACTNAME,
   ACTINFO,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL,
   NOCOL1,
   PREDSPECS,
   SOURCE,
   TYPESTR  )
VALUES
  ("MS_SQL_DB_free_space_critical",
   "ko136",
   "MS_SQL_DB_Freespace_Critical",
   "",
   "*NO",
   "",
   "",
   "",
   "0980428174313031",
   "",
   "",
   "*FIRST *ALWAYS",
   "",
   "*WAIT_ON_SITUATION"
  );
DELETE FROM O4SRV.TACTYPCY WHERE PCYNAME = "MS_SQL_DB_free_space_critica
l" AND ACTNAME = "ko213";
INSERT INTO O4SRV.TACTYPCY
  (PCYNAME,
   ACTNAME,
   ACTINFO,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL,
   NOCOL1,
   PREDSPECS,
   SOURCE,
   TYPESTR  )
VALUES
  ("MS_SQL_DB_free_space_critical",
   "ko213",
   "*AUTOSLT",
   "",
   "*YES",
   "",
   'koqmail DBA_ID "MS SQL Server  &MS_SQL_Database_Summary.Server datab
ase free space is  &MS_SQL_Database_Summary.Minimum_Pct_Data_Freespace %
"',
   "",
   "0980428174314035",
   "",
   "",
   "ko36 *CHOICE",
   "",
   "System_Command"
  );
DELETE FROM O4SRV.TACTYPCY WHERE PCYNAME = "MS_SQL_DB_free_space_critica
l" AND ACTNAME = "ko248";
INSERT INTO O4SRV.TACTYPCY
  (PCYNAME,
   ACTNAME,
   ACTINFO,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL,
   NOCOL1,
   PREDSPECS,
   SOURCE,
   TYPESTR  )
VALUES
  ("MS_SQL_DB_free_space_critical",
   "ko248",
   "*AUTOSLT",
   "",
   "*NO",
   "",
   "koqignor",
   "",
   "0980428174313029",
   "",
   "",
   "ko36 *CHOICE",
   "",
   "System_Command"
  );
DELETE FROM O4SRV.TACTYPCY WHERE PCYNAME = "MS_SQL_DB_free_space_critica
l" AND ACTNAME = "ko36";
INSERT INTO O4SRV.TACTYPCY
  (PCYNAME,
   ACTNAME,
   ACTINFO,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL,
   NOCOL1,
   PREDSPECS,
   SOURCE,
   TYPESTR  )
VALUES
  ("MS_SQL_DB_free_space_critical",
   "ko36",
   "*WRKL *ALLUSERS *ALLUSERS 300 MS SQL DB free space is low: select an
 action",
   "",
   "*NO",
   "",
   "",
   "",
   "0980428174313033",
   "",
   "",
   "ko136 *SUCCESS",
   "",
   "User_Choice"
  );


