/******************************************************************************
 * @(#)94       1.4  src/koq/koq_upg.sql, koq, omsql_dev, 200808160944 8/5/08 15:38:54
 *
 * COMPONENT_NAME: koq (MS SQL Agent)
 *
 * FUNCTIONS: Management server seed data
 *
 * Date: 8/5/08 15:38:54
 *
 * Source: src/koq/koq_upg.sql, koq, omsql_dev, 200808160944
 *
 * Revision: 1.4
 *
 * ORIGINS:
 *
 * $Id:
 *
 *****************************************************************************
 *   Licensed Materials - Property of IBM
 *   5724-B96
 *
 *   Copyright IBM Corp. 2005 All Rights Reserved
 *   US Government Users Restricted Rights - Use, duplication or
 *   disclosure restricted by GSA ADP Schedule Contract with
 *   IBM Corp
 ******************************************************************************/
/*********************************************************************/
/*                                                                   */
/* This file contains the following seed data sections to            */
/*  support the MS_SQL_Server global affinity                        */
/*                                                                   */
/*   - internal collection situations, templates,                    */
/*     default managed object, and template states                   */
/*   - external product provided situations and                      */
/*     situation assignments to templates                            */
/*                                                                   */
/*********************************************************************/

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/

/*Removing duplicate take actions*/
DELETE FROM O4SRV.CCT WHERE KEY = "Koq:KOQ2135";
DELETE FROM O4SRV.CCT WHERE KEY = "Koq:KOQ2137";
DELETE FROM O4SRV.CCT WHERE KEY = "Koq:KOQ2139";
DELETE FROM O4SRV.CCT WHERE KEY = "Koq:KOQ2141";
DELETE FROM O4SRV.CCT WHERE KEY = "Koq:KOQ2143";
DELETE FROM O4SRV.CCT WHERE KEY = "Koq:KOQ2145";
DELETE FROM O4SRV.CCT WHERE KEY = "Koq:KOQ2147";
DELETE FROM O4SRV.CCT WHERE KEY = "Koq:KOQ2149";

/* V610 - Delete any historical collection configuration for the KOQSQL
 *        attribute group.  Historical collection was not working for
 *        this group even prior to v610; to get it working appeared to
 *        require redesign of this attribute group and possibly the
 *        infrastructure, so historical collection support was removed
 *        for this table.
 */
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "UADVISOR_KOQ_KOQSQL";
DELETE FROM O4SRV.SITDB WHERE RULENAME = "KOQ.KOQSQL";
DELETE FROM O4SRV.TOBJACCL WHERE TOBJACCL.OBJNAME="UADVISOR_KOQ_KOQSQL";


/* Insert rule for MS SQL Server Enterprise Table UADVISOR situation
 * to pick up the new attributes added for 6.1.0:
 *    UMAXLOCK, UMAXBLOCK, UTBMXLOCK 
 * Perform an delete/insert to provide the update because the
 * following update SQL1 statement did not work for this table; a
 * return code of 79 (row not found, I believe) kept being returned.
 *
 *UPDATE O4SRV.SITDB
 *  SET PREDICATE = 'SELECT ORIGINNODE, SAMPLENO, ROWNO, TIMESTAMP,
 *      SERVERID, HOSTNAME, COLLSTATUS,PCTLOCKS,
 *      PCTCPU, PCTOSCPU, SRVAGE, SRVVERSN, NUMDBS,
 *      MINDBFREE, MINLOGFREE, NUMLOCKS, NUMCONFL, MAXLOCK, MAXBLOCK,
 *      TBMXLOCK, PCTBLOCK,
 *      SRVCPUPCT, APPCPUPCT, NUMPROCESS, NUMBLOCK,
 *      LASTERRAGE, MAXSEV, MAXSEVTIME, NUMSEVG17, ERRLOGSZ,
 *      LOGONCURR, LOGONPCT, PHYRDPSEC, PHYWRPSEC, IOERRSCURR, SAMPTIME,
 *      SRVSTATUS, UMAXLOCK, UMAXBLOCK, UTBMXLOCK
 *    FROM KOQ.KOQSRVRE
 *    WHERE SYSTEM.PARMA("NODELIST","*ALL",4)'
 *  WHERE RULENAME = "KOQ.VKOQSRVRE";
 */   
/* Insert rule for MS Enterprise Database Mirror  */
DELETE FROM O4SRV.SITDB WHERE RULENAME = "KOQ.VKOQDBMIR";
INSERT INTO O4SRV.SITDB
  (RULENAME,
   PREDICATE  )
VALUES
  ("KOQ.VKOQDBMIR",
   'SELECT ORIGINNODE, TIMESTAMP, SERVERID, HOSTNAME,  
       MIRNAME, SYNCSTATE, MIRSTATE, MIRROLE, BSPERSEC, PSPERSEC,
       SPERSEC, TRANDEL, REDOQKB, REDOPSEC, LOGSQKB, BRPERSEC,
       RECPSEC, LBRPSEC, LBSPSEC, SRATIME, LCBRPS, LCBSPS,
       MWTPS, LSFUKB, LRFUKB, LBSFCPS, LBRFCPS, LOGSFCT,
       LHARDTIME, SAMPTIME
     FROM KOQ.KOQDBMIR                                                 
     WHERE SYSTEM.PARMA("NODELIST","*ALL",4)
       AND SYSTEM.PARMA("SITNAME","UADVISOR_KOQ_VKOQDBMIR",22)'
  );

/* Insert rule for MS Enterprise Log Shipping  */
DELETE FROM O4SRV.SITDB WHERE RULENAME = "KOQ.VKOQLSDBD";
INSERT INTO O4SRV.SITDB
  (RULENAME,
   PREDICATE  )
VALUES
  ("KOQ.VKOQLSDBD",
   'SELECT ORIGINNODE, TIMESTAMP, 
       SRVTYPELS, SERVERID, UDBNAME, DBID, THRESHOLD, THRESEXCD,
       LSTFILE, LSTFILTM, ERRMSG, LSSOURCE, SAMPTIME
     FROM KOQ.KOQLSDBD                                                 
     WHERE SYSTEM.PARMA("NODELIST","*ALL",4)
       AND SYSTEM.PARMA("SITNAME","UADVISOR_KOQ_VKOQLSDBD",22)'
  );                               

DELETE FROM O4SRV.SITDB WHERE RULENAME = "KOQ.VKOQSRVRE";
INSERT INTO O4SRV.SITDB
  (RULENAME,
   PREDICATE  )
VALUES
  ("KOQ.VKOQSRVRE",
   'SELECT ORIGINNODE, SAMPLENO, ROWNO, TIMESTAMP, SERVERID, HOSTNAME,  
       COLLSTATUS,PCTLOCKS,                                             
       PCTCPU, PCTOSCPU, SRVAGE, SRVVERSN, NUMDBS,                      
       MINDBFREE, MINLOGFREE, NUMLOCKS, NUMCONFL, MAXLOCK, MAXBLOCK,    
       TBMXLOCK, PCTBLOCK,                                              
       SRVCPUPCT, APPCPUPCT, NUMPROCESS, NUMBLOCK,                      
       LASTERRAGE, MAXSEV, MAXSEVTIME, NUMSEVG17, ERRLOGSZ,             
       LOGONCURR, LOGONPCT, PHYRDPSEC, PHYWRPSEC, IOERRSCURR, SAMPTIME, 
       SRVSTATUS, UMAXLOCK, UMAXBLOCK, UTBMXLOCK                        
     FROM KOQ.KOQSRVRE                                                  
     WHERE SYSTEM.PARMA("NODELIST","*ALL",4)
       AND SYSTEM.PARMA("SITNAME","UADVISOR_KOQ_VKOQSRVRE",22)'
  );

/* Insert rule for MS SQL Remote Servers Table UADVISOR situation  */
DELETE FROM O4SRV.SITDB WHERE RULENAME = "KOQ.VKOQSRVR";
INSERT INTO O4SRV.SITDB
  (RULENAME, PREDICATE)
VALUES
  ("KOQ.VKOQSRVR",
   'SELECT ORIGINNODE, SAMPLENO, ROWNO, TIMESTAMP, SERVERID, HOSTNAME,
       RSRVID, RSRVSTATUS, RSRVNAME, RSRVNETNM, RSRVCONNLV,
       CURRINTL, SAMPTIME
     FROM KOQ.KOQSRVR
     WHERE SYSTEM.PARMA("NODELIST","*ALL",4)
       AND SYSTEM.PARMA("SITNAME","UADVISOR_KOQ_VKOQSRVR",21)') ;

/* UADVISOR situation for MS SQL Enterprise Database Mirror Table  */
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
   ("00000000000W00000000000000000000#W000000000",
    "",
    "*SYN",
    "",
    "65535",
    "0960926161025000",
    "1.0",
    "IBM",
    "",
    "*IF *VALUE MS_SQL_Database_Mirroring.Server *GT *NONE",
    "I",
    "00",
    "000200",
    "",
    "UADVISOR_KOQ_VKOQDBMIR",
    "Koq:KOQ5347",
    "NN",
    "",
    "",
    "*NONE"
  );

/* UADVISOR MS SQL Enterprise Log Shipping Mirror Table*/
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
   ("00000000000W00000000000000000000#W000000000",
    "",
    "*SYN",
    "",
    "65535",
    "0960926161025000",
    "1.0",
    "IBM",
    "",
    "*IF *VALUE MS_SQL_Log_Shipping_DB_Details.Server *GT *NONE",
    "I",
    "00",
    "000200",
    "",
    "UADVISOR_KOQ_VKOQLSDBD",
    "Koq:KOQ5348",
    "NN",
    "",
    "",
    "*NONE"
  );
/* UADVISOR situation for MS SQL Server Enterprise Table  */
INSERT INTO O4SRV.TSITDESC
 (SITNAME, TEXT, AUTOSTART, QIBSCOPE, HUB, PDT,
  AFFINITIES, LSTCCSID, LSTDATE, LSTRELEASE, LSTUSRPRF,
  REEV_DAYS, REEV_TIME, CMD, AUTOSOPT)
VALUES
  ("UADVISOR_KOQ_VKOQSRVRE",                            /* SITNAME    */
   "MS SQL Server Enterprise",                          /* TEXT       */
   "*SYN",                                              /* AUTOSTART  */
   "I",                                                 /* QIBSCOPE   */
   " ",                                                 /* HUB        */
   "*IF *VALUE MS_SQL_Server_Enterprise_View.Server *GT *NONE", /* PDT*/
   "00000000000W0000000000000000000000000000000",       /* AFFINITIES */
   "65535",                                             /* LSTCCSID   */
   "0960930102429000",                                  /* LSTDATE    */
   "1.0",                                               /* LSTRELEASE */
   "IBM",                                               /* LSTUSRPRF  */
   "00",                                                /* REEV_DAYS  */
   "000200",                                            /* REEV_TIME  */
   "*NONE",
   "NN");

/* UADVISOR situation for MS SQL Server Remote Servers Table  */
INSERT INTO O4SRV.TSITDESC
 (SITNAME, TEXT, AUTOSTART,  QIBSCOPE, HUB, PDT,
  AFFINITIES, LSTCCSID, LSTDATE, LSTRELEASE, LSTUSRPRF,
  REEV_DAYS, REEV_TIME, CMD, AUTOSOPT)
 VALUES(
   "UADVISOR_KOQ_VKOQSRVR",                             /* SITNAME    */
   "MS SQL Server Remote Servers",                      /* TEXT       */
   "*SYN",                                              /* AUTOSTART  */
   "I",                                                 /* QIBSCOPE   */
   " ",                                                 /* HUB        */
   "*IF *VALUE MS_SQL_Remote_Servers.Server *GT *NONE", /* PDT */
   "00000000000W0000000000000000000000000000000",       /* AFFINITIES */
   "65535",                                             /* LSTCCSID   */
   "0960926161025000",                                  /* LSTDATE    */
   "1.0",                                               /* LSTRELEASE */
   "IBM",                                               /* LSTUSRPRF  */
   "00",                                                /* REEV_DAYS  */
   "000200",                                            /* REEV_TIME  */
   "*NONE",
   "NN");

/* Product provided Automation situations */

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#W########F",
   "",
   "*YES",
   "",
   "en_US",
   "1080908132154000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE MS_SQL_Database_Detail.Long_Running_Transaction_Time_Per_
Sec *GE 0",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Long_Running_Trans_Warn",
   "Koq:KOQ5226",
   "NNN",
   "COUNT=2;ATOM=KOQDBD.LRTNAME;TFWD=Y;TDST=0;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#W########F",
   "",
   "*NO",
   "",
   "en_US",
   "1080812120810000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE MS_SQL_Log_Shipping_Jobs_Detail.Job_Status *EQ 3",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Log_Shipping_Status_Error",
   "Koq:KOQ5357",
   "NNN",
   "SEV=Error;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#W########F",
   "",
   "*NO",
   "",
   "en_US",
   "1080812120810000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE MS_SQL_Log_Shipping_DB_Details.Threshold_Exceeded *EQ 1",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Log_Shipping_Warning",
   "Koq:KOQ5358",
   "NNN",
   "SEV=Warning;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#W########F",
   "",
   "*NO",
   "",
   "en_US",
   "1080812120810000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE MS_SQL_Database_Mirroring.Mirroring_State *EQ 3",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Mirror_Failover_Critical",
   "Koq:KOQ5177",
   "NNN",
   "SEV=Critical;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#W########F",
   "",
   "*YES",
   "",
   "en_US",
   "1080812120819000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE MS_SQL_Database_Mirroring.Mirroring_State *EQ Synchronizi
ng",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Mirror_Lagging_Warning",
   "Koq:KOQ5178",
   "NNN",
   "SEV=Warning;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000W00000000000000000000#W########F",
   "",
   "*NO",
   "",
   "en_US",
   "1080812120833000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE MS_SQL_Database_Mirroring.Mirroring_State *EQ Suspended",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Mirror_Suspended_Warning",
   "Koq:KOQ5179",
   "NNN",
   "SEV=Warning;~",
   'ADVICE("koq:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,
   AUTOSOPT,      AUTOSTART,    CMD,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "NN",
   "*NO",
   'kddmail user@domain "Message from the Candle Command Center:
SQL Server &MS_SQL_Server_Summary.Server on host
&MS_SQL_Server_Summary.Host_Name has stopped"',
   " ",
   " ",
   "0960926161025000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Server_Summary.Server_Status *EQ Inactive",
   "MV644",
   "MSQL",
   "E",
   "0",
   "000200",
   "*NONE",
   "MS_SQL_Status_Inactive",
   "MS SQL Server status is Inactive",
   "SEV=Critical");

/* All other Product provided situations */
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   " ",
   " ",
   "0960930102429000",
   "V100",
   "IBM",
   " ",
   "*IF *SCAN MS_SQL_Database_Detail.Error_Status *EQ 'Yes '",
   "MV325",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_DB_Error_Status",
   "Database has a serious error = Yes                              ",
   "*NONE",
   "NN",
   "SEV=Warning");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926084935000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Server_Summary.Collection_Status *NE Active",
   "MV835",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Collection_Status_Warnin",
   "Where Collector Status not Active.                              ",
   "*NONE",
   "NN",
   "SEV=Warning");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     ADVISE,
   SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926084937000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Database_Summary.Minimum_Pct_Data_Freespace
      *LE 10",
   "MV989",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_DB_Freespace_Critical",
   "Percent of Database Freespace <= 10.                            ",
   "*NONE",
   "NN",
   "Database is full<P>Database is at max allocated capacity and is unab
le to acquire additional disk space.<P>DB device is full.<P>DB unable to
 allocate additional extents.<P>Determine cause of 'DB out of space' con
dition:<P>1. Device limitation<P>2. DB limitation<P>2. DB limitation<P>R
esolution:<P>1. Check for applications using resources inefficiently.<P>
2. Move un-needed files off the DB device.<P>3. Allocate more disk space
 to this logical device or file system.<P>4. Relocate DB to another devi
ce.",
   "SEV=Critical"
);


INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926084936000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Database_Summary.Minimum_Pct_Data_Freespace
      *GT 10 *AND *VALUE
            MS_SQL_Database_Summary.Minimum_Pct_Data_Freespace *LE
20",
   "MV989 MV111",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_DB_Freespace_Warning",
   "Percent of Database Freespace <= 20 and > 10.                   ",
   "*NONE",
   "NN",
   "SEV=Warning");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926084938000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Database_Summary.Total_DBs_in_Error *GT 0",
   "MV989",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_DB_Num_Errors_Warning",
   "Number of  Databases in Error Status.                           ",
   "*NONE",
   "NN",
   "SEV=Warning");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926084939000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Device_Detail.Device_Free_Space_Percent
      *LE 10",
   "MV907",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Device_Free_PCT_Warning",
   "Percent of Device free is < = 10.                               ",
   "*NONE",
   "NN",
   "SEV=Warning");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926084939000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Problem_Summary.Error_Log_Size *GE 10000",
   "MV606",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_ErrorLog_Size_Warning",
   "Number of bytes in Error Log Size >= 10000.                     ",
   "*NONE",
   "NN",
   "SEV=Warning");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926084940000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Statistics_Summary.IO_Errors_Since_Startup *GE
10   *AND *VALUE
MS_SQL_Statistics_Summary.Percent_IO_Errors_Current_Interval    *GE
5",
   "MV567 MV316",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_IOERR_Startup_Warning",
   "Number IO Errors Since Startup >= 10 and Pct IO Errors >= 5.    ",
   "*NONE",
   "NN",
   "SEV=Warning");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926084941000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Statistics_Summary.IO_Errors_Current_Interval
*GE    80",
   "MV567",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_IOError_Curintvl_Warning",
   "Percent of IO Errors for Current Interval >= 80.                ",
   "*NONE",
   "NN",
   "SEV=Warning");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926084943000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Database_Summary.Minimum_Pct_Log_Freespace
      *LE 10",
   "MV989",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Log_Freespace_Critical",
   "Percent of Log Freespace <= 10.                                 ",
   "*NONE",
   "NN",
   "SEV=Critical");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926084944000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Database_Summary.Minimum_Pct_Log_Freespace
      *GT 10 *AND *VALUE
            MS_SQL_Database_Summary.Minimum_Pct_Log_Freespace *LE
20",
   "MV989 MV111",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Log_Freespace_Warning",
   "Percent of Log Freespace <=20 and > 10.                         ",
   "*NONE",
   "NN",
   "SEV=Warning");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926084945000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Process_Summary.Total_Log_Suspend *GE 1",
   "MV543",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Log_Suspend_Warning",
   "Number of processes in Log Suspend >= 1.                        ",
   "*NONE",
   "NN",
   "SEV=Warning");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926084946000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Statistics_Summary.Percent_Max_Logons_Active
      *GE 90",
   "MV567",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_LogonPct_Warning",
   "Percent of Logins >= 90.                                        ",
   "*NONE",
   "NN",
   "SEV=Warning");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926084948000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Server_Enterprise_View.Percent_Max_Locks
    *GE 80",
   "MV116",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_PCT_MAX_Locks_Critical",
   "Percent of  max Locks is >= 80.                                 ",
   "*NONE",
   "NN",
   "SEV=Critical");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926084948000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Server_Enterprise_View.Percent_Max_Locks
    *GE 60 *AND
     *VALUE MS_SQL_Server_Enterprise_View.Percent_Max_Locks
    *LT 80",
   "MV116 MV301",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_PCT_MAX_Locks_Warning",
   "Percent of max Locks is between 60 and 80.                      ",
   "*NONE",
   "NN",
   "SEV=Warning");

/* Leave delete of "Yeilds" to fix v301 typo on ugrade install */
/* DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "MS_SQL_Pct_CPU_Yeilds_Warning";   */
/* Instead of deleting, just update the value to correct the typo  */
UPDATE O4SRV.TSITDESC
   SET SITNAME = "MS_SQL_Pct_CPU_Yields_Warning" 
   WHERE SITNAME = "MS_SQL_Pct_CPU_Yeilds_Warning";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   " ",
   " ",
   "0960930100911000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Process_Detail.Current_CPU_Percent_Used *GT
75",
   "MV927",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Pct_CPU_Yields_Warning",
   "Percent of CPU Yields > 75%                                     ",
   "*NONE",
   "NN",
   "SEV=Warning");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926084949000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Statistics_Summary.Total_OS_IO_Percent_Busy
      *GE 90",
   "MV567",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Pct_IO_Warning",
   "Percent of time in IO operation >= 90.                          ",
   "*NONE",
   "NN",
   "SEV=Warning");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926084950000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Problem_Summary.Age_of_Last_Error *GE 30 *AND
     *VALUE MS_SQL_Problem_Summary.Maximum_Sev_Current_Interval
*GE 17",
   "MV606 MV775",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_ProbAge_GT_17_Warning",
   "Age of Last Error >= 30 minutes and Highest Severity >= 17.     ",
   "*NONE",
   "NN",
   "SEV=Warning");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926085603000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Process_Summary.Percent_Processes_Locksleep
      *GE 10 *AND
            *VALUE
MS_SQL_Process_Summary.Total_Processes_Locksleep *GE 5",
   "MV543 MV964",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_ProcessLockSleep_Warnin",
   "Percent of Processes LockSleep >= 10 and Number  LockSleep >=5. ",
   "*NONE",
   "NN",
   "SEV=Warning");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926085604000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Process_Summary.Total_Other_Sleep *GE 2 *AND
      *VALUE MS_SQL_Process_Summary.Percent_Processes_Othersleep
            *GE 50",
   "MV543 MV964",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_ProcessOthSleep_Warning",
   "Number of Processes OtherSleep >= 2 and Pct OtherSleep >= 50.   ",
   "*NONE",
   "NN",
   "SEV=Warning");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926085605000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Process_Summary.Percent_Processes_Blocked
      *GE 25 *AND *VALUE
            MS_SQL_Process_Summary.Total_Processes_Blocked *GE 5",
   "MV543 MV964",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Process_Blocked_Warning",
   "Percent  of Prcessess Blocked >= 25 and Number Blocked >= 5.    ",
   "*NONE",
   "NN",
   "SEV=Warning");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926085606000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Process_Summary.Total_Processes_Infected *GE 1",
   "MV543",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Process_Infected_Warnin",
   "Number of Infected processes >= 1.                              ",
   "*NONE",
   "NN",
   "SEV=Warning");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926085607000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Process_Summary.Total_Processes_Bad *GE 1",
   "MV543",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Processes_Bad_Warning",
   "Number of Bad processes >= 1.                                   ",
   "*NONE",
   "NN",
   "SEV=Warning");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926085607000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Process_Summary.Total_Processes_Stopped
      *GE 5 *AND *VALUE
            MS_SQL_Process_Summary.Percent_Processes_Stopped *GE
10",
   "MV543 MV964",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Processes_Stop_Warning",
   "Number of  Stopped processes >=5 and Percent Stopped >= 10.     ",
   "*NONE",
   "NN",
   "SEV=Warning");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926090806000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Remote_Servers.Remote_Server_Status
    *NE Active",
   "MV324",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Rem_Serv_Stat_Critical",
   "Where Remote Server Status not Active.                          ",
   "*NONE",
   "NN",
   "SEV=Critical");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926090807000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Server_Summary.Total_OS_CPU_Percent
      *GE 80 *AND *VALUE
      MS_SQL_Server_Summary.Time_Since_Startup *GE 10",
   "MV957 MV138",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_CPU_Critical",
   "Percent of MS_SQL CPU >=  80 and Server Age >= 10 minutes.",
   "*NONE",
   "NN",
   "SEV=Critical");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926091305000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Server_Summary.Total_OS_CPU_Percent *GE 60
      *AND *VALUE MS_SQL_Server_Summary.Total_OS_CPU_Percent *LT
80         *AND *VALUE MS_SQL_Server_Summary.Time_Since_Startup
*GE 10",
   "MV957 MV613 MV138",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_CPU_Warning",
   "Pct of MS_SQL CPU >= 60 and <= 80, and Server Age >= 10 min.    ",
   "*NONE",
   "NN",
   "SEV=Warning");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926091305000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Server_Enterprise_View.Total_Lock_Conflicts
    *GE  20
    *AND *VALUE MS_SQL_Server_Enterprise_View.Total_Lock_Conflicts
    *LT 60",
   "MV557",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Block_Warning",
   "Total Number Of Processes in Conflict Warning >= 20 and < 60",
   "*NONE",
   "NN",
   "SEV=Warning");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926091305000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Server_Enterprise_View.Total_Lock_Conflicts
    *GE 60",
   "MV557",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Block_Critical",
   "Total Number Of Processes in Conflict Critical >= 60 ",
   "*NONE",
   "NN",
   "SEV=Critical");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926091305000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Server_Enterprise_View.Total_Locks *GE  200",
   "MV557 ",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Total_Locks_Warning",
   "Total Number Of Locks Warning  >= 200 ",
   "*NONE",
   "NN",
   "SEV=Warning");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926091305000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Server_Enterprise_View.Total_Locks *GE  4000",
   "MV557",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Total_Locks_Critical",
   "Total Number Of Locks Critical  >= 4000 ",
   "*NONE",
   "NN",
   "SEV=Critical");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926091305000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Server_Enterprise_View.Percent_Process_Block
   *GE  50 ",
   "MV557",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Pct_Block_Warning",
   "Percent Processes in Conflict  >= 50 ",
   "*NONE",
   "NN",
   "SEV=Warning");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*NO",
   " ",
   " ",
   "0960930102941000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Problem_Summary.Total_Errors_High_Sev *GT 0",
   "MV137",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Error_Warning",
   "Server Errors occurred in the current interval                  ",
   "*NONE",
   "NN",
   "SEV=Warning");

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,    ALERTLIST,    AUTOSTART,
   HUB,           LSTCCSID,     LSTDATE,
   LSTRELEASE,    LSTUSRPRF,    OBJECTLOCK,
   PDT,           PRNAMES,      QIBCLASSID,
   QIBSCOPE,      REEV_DAYS,    REEV_TIME,
   SENDMSGQ,      SITNAME,      TEXT,
   CMD,           AUTOSOPT,     SITINFO)
VALUES
  ("00000000000W0000000000000000000000000000000",
   "*NO",
   "*YES",
   " ",
   " ",
   "0960926091306000",
   "V100",
   "IBM",
   " ",
   "*IF *VALUE MS_SQL_Server_Summary.Server_Status *NE Active",
   "MV644",
   "MSQL",
   "E",
   "0",
   "001500",
   "*NONE",
   "MS_SQL_Status_Critical",
   "Where Server status not Active.                                 ",
   "*NONE",
   "NN",
   "SEV=Critical");




INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_AVG_Blocked_Warning",                         /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_Collection_Status_Warnin",                   /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_DB_Error_Status",                             /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_DB_Freespace_Critical",                       /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_DB_Freespace_Warning",                        /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_DB_Num_Errors_Warning",                       /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );



INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_Device_Free_PCT_Warning",                     /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_ErrorLog_Size_Warning",                       /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_IOERR_Startup_Warning",                       /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_IOError_Curintvl_Warning",                    /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );


INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_Log_Freespace_Critical",                      /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_Log_Freespace_Warning",                       /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_Log_Suspend_Warning",                         /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_LogonPct_Warning",                            /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );


INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_PCT_MAX_Locks_Critical",                      /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_PCT_MAX_Locks_Warning",                       /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

/* Leave delete of "Yeilds" to fix v301 typo on ugrade install */
/* DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "MS_SQL_Pct_CPU_Yeilds_Warning";   */
/* changed delete to update to correct typo */
UPDATE O4SRV.TOBJACCL
   SET OBJNAME = "MS_SQL_Pct_CPU_Yields_Warning"
   WHERE OBJNAME = "MS_SQL_Pct_CPU_Yeilds_Warning";

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_Pct_CPU_Yields_Warning",                      /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_Pct_IO_Warning",                              /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_ProbAge_GT_17_Warning",                       /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_ProcessLockSleep_Warnin",                     /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_ProcessOthSleep_Warning",                     /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_Process_Blocked_Warning",                     /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_Process_Infected_Warnin",                     /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_Processes_Bad_Warning",                       /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_Processes_Stop_Warning",                      /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_Rem_Serv_Stat_Critical",                      /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_CPU_Critical",                                /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_CPU_Warning",                                 /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_Block_Warning",                              /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_Block_Critical",                              /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_Total_Locks_Warning",                         /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_Total_Locks_Critical",                        /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_Pct_Block_Warning",                           /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_Error_Warning",                               /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );


INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_Status_Critical",                             /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );

INSERT INTO O4SRV.TOBJACCL
 (ACTIVATION,
  HUB,
  LSTDATE,
  LSTRELEASE,
  LSTUSRPRF,
  NODEL,
  OBJCLASS,
  OBJECTLOCK,
  OBJNAME,
  OPERATION
 )
VALUES
 (" ",                                                  /* ACTIVATION */
  "Y",                                                  /* HUB        */
  "0960923085142000",                                   /* LSTDATE    */
  "V100",                                               /* LSTRELEASE */
  "IBM",                                                /* LSTUSRPRF  */
  "*MS_SQL_SERVER",                                     /* NODEL      */
  "5140",                                               /* OBJCLASS   */
  " ",                                                  /* OBJECTLOCK */
  "MS_SQL_Status_Inactive",                             /* OBJNAME    */
  " "                                                   /* OPERATION  */
 );


/*                Product Provided Take Action                        */

INSERT INTO O4SRV.CCT
(AFFINITIES,
 CMD,
 DESC,
 ICON,
 KEY,
 NAME,
 RESERVED,
 SECURITY,
 TABLES,
 VERSION)
 VALUES
 ("00000000000W00000000000000000000020000000a7",        /* AFFINITIES */
  "net   start MSSQLSERVER",                            /* CMD */
  "Koq:KOQ2151",                                        /* DESC */
  "0980416101747000",                                   /* ICON */
  "Start SQL Server",                                        /* KEY */
  "Koq:KOQ2146",                                        /* NAME */
  " ",                                                  /* SECURITY */
  " ",                                                  /* RESERVED */
  " ",                                                  /* TABLES */
  " "                                                   /* VERSION */
  );


INSERT INTO O4SRV.CCT
(AFFINITIES,
 CMD,
 DESC,
 ICON,
 KEY,
 NAME,
 RESERVED,
 SECURITY,
 TABLES,
 VERSION)
 VALUES
 ("00000000000W00000000000000000000020000000a7",        /* AFFINITIES */
  "net stop MSSQLSERVER",                               /* CMD */
  "Koq:KOQ2152",                                    /* DESC */
  "0980416101747000",                                   /* ICON */
  "Stop SQL Server",                                    /* KEY */
  "Koq:KOQ2148",                                    /* NAME */
  " ",                                                  /* SECURITY */
  " ",                                                  /* RESERVED */
  " ",                                                  /* TABLES */
  " "                                                   /* VERSION */
  );



INSERT INTO O4SRV.CCT
  (AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
  )
VALUES
  ('00000000000W00000000000000000000#y000000000',
   'koqDBCheckUp &sql_server_name &database_name &fragmentation_limit &s
ql_server_id &sql_server_password',
   'Koq:KOQ2153',
   '',
   'Database Check-up and Tune-up',
   'Koq:KOQ2136',
   '',
   '',
   '',
   ''
  );



INSERT INTO O4SRV.CCT
  (AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
  )
VALUES
  ('00000000000W00000000000000000000#y000000000',
   'koqDumpDatabase &sql_server_name &database_name &backup_device &back
up_options &validate_db &use_last_backup_device &sql_server_id &sql_serv
er_password',
   'Koq:KOQ2154',
   '',
   'Dump Database',
   'Koq:KOQ2138',
   '',
   '',
   '',
   ''
  );



INSERT INTO O4SRV.CCT
  (AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
  )
VALUES
  ('00000000000W00000000000000000000#y000000000',
   'koqDumpTransactionLog &sql_server_name &database_name &backup_device
 &backup_options &dump_option &use_last_backup_device &sql_server_id &sq
l_server_password',
   "Koq:KOQ2155",
   '',
   'Dump Transaction Log',
   'Koq:KOQ2140',
   '',
   '',
   '',
   ''
  );



INSERT INTO O4SRV.CCT
  (AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
  )
VALUES
  ('00000000000W00000000000000000000#y000000000',
   'koqRebuildIndex &sql_server_name &database_name &table_name &index_n
ame &fragmentation_limit &fill_factor &sql_server_id &sql_server_passwor
d',
   'Koq:KOQ2156',
   '',
   'Rebuild Fragmented Indexes',
   'Koq:KOQ2142',
   '',
   '',
   '',
   ''
  );



INSERT INTO O4SRV.CCT
  (AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
  )
VALUES
  ('00000000000W00000000000000000000#y000000000',
   'koqRefreshQueryStat &sql_server_name &database_name &table_name &ind
ex_name &sql_server_id &sql_server_password',
   'Koq:KOQ2157',
   '',
   'Refresh Query Optimizer Stats',
   'Koq:KOQ2144',
   '',
   '',
   '',
   ''
  );



INSERT INTO O4SRV.CCT
  (AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
  )
VALUES
  ('00000000000W00000000000000000000#y000000000',
   'koqUpdateUsage &sql_server_name &database_name &table_name &index_na
me &sql_server_id &sql_server_password',
   'Koq:KOQ2158',
   '',
   'Update Space Usage Information',
   'Koq:KOQ2150',
   '',
   '',
   '',
   ''
  );

/* Product Provided Policies      */

INSERT INTO O4SRV.TPCYDESC (PCYNAME,AFFINITIES,AUTOSTART,COMPOPT,HNOCOL,
HUB,LMTRESTART,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEASE,LSTUSRPRF,OBJECTLOCK,
PCYOPT,QIBCLASSID,QIBSCOPE,SOURCE,TEXT) VALUES("MS_SQL_DB_free_space_cri
tical","00000000000W00000000000000000000##000000000","*NO","*YES","",""
,"*NO","","","0980429124113000","","IBM","","YY","MS_S","E","","Act
ions to take on low free space on MS SQL server");



INSERT INTO O4SRV.TACTYPCY (PCYNAME,ACTNAME,ACTINFO,ATTRIBUTES,AUTOSOPT,
CCTKEY,CMD,LOCFLAG,LSTDATE,NOCOL,NOCOL1,PREDSPECS,SOURCE,TYPESTR) VALUES
("MS_SQL_DB_free_space_critical","ko136","MS_SQL_DB_Freespace_Critical",
"","*NO","","","","0980428174313031","","","*FIRST *ALWAYS","","*WAIT_ON
_SITUATION");



INSERT INTO O4SRV.TACTYPCY (PCYNAME,ACTNAME,ACTINFO,ATTRIBUTES,AUTOSOPT,
CCTKEY,CMD,LOCFLAG,LSTDATE,NOCOL,NOCOL1,PREDSPECS,SOURCE,TYPESTR) VALUES
("MS_SQL_DB_free_space_critical","ko213","*AUTOSLT","","*YES","",'kddmai
l DBA_ID "MS SQL Server  &MS_SQL_Database_Summary.Server database free s
pace is  &MS_SQL_Database_Summary.Minimum_Pct_Data_Freespace %"',"","098
0428174314035","","","ko36 *CHOICE","","System_Command");



INSERT INTO O4SRV.TACTYPCY (PCYNAME,ACTNAME,ACTINFO,ATTRIBUTES,AUTOSOPT,
CCTKEY,CMD,LOCFLAG,LSTDATE,NOCOL,NOCOL1,PREDSPECS,SOURCE,TYPESTR) VALUES
("MS_SQL_DB_free_space_critical","ko248","*AUTOSLT","","*NO","","kddigno
r","","0980428174313029","","","ko36 *CHOICE","","System_Command");



INSERT INTO O4SRV.TACTYPCY (PCYNAME,ACTNAME,ACTINFO,ATTRIBUTES,AUTOSOPT,
CCTKEY,CMD,LOCFLAG,LSTDATE,NOCOL,NOCOL1,PREDSPECS,SOURCE,TYPESTR) VALUES
("MS_SQL_DB_free_space_critical","ko36","*WRKL *ALLUSERS *ALLUSERS 300 M
S SQL DB free space is low: select an action","","*NO","","","","0980428
174313033","","","ko136 *SUCCESS","","User_Choice");



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Cache_Avg_FreePage_Crit',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050319144008000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Server_Summary.Cache_Average_Free_Scan *GT
         15',
         '',
         'MS_S',
         'E',
         '0',
         '001000',
         '',
         '*NONE',
         'SEV=Critical;~',
         '',
     'Average number of cache buffers scanned to find a free buffer',
         "If the Microsoft SQL Server must read a large number of buffer
s to find a free buffer, server performance may degrade.<P>In this case,
do one of the following: increase the cache size, or verify disk IO is o
erating correctly so that the buffers are being written efficiently - bu
ffers are freed after being written to disk.  The number of buffers in t
he free buffer list is internally configured by the Microsoft SQL Server
 and cannot be manually configured." );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Cache_Avg_FreePage_Warn',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050319144025000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Server_Summary.Cache_Average_Free_Scan *GT
 10 *AND *VALUE MS_SQL_Server_Summary.Cache_Average_Free_Scan *LE 15',
         '',
         'MS_S',
         'E',
         '0',
         '001000',
         '',
         '*NONE',
         'SEV=Warning;~',
         '',
     'Average number of cache buffers scanned to find a free buffer',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Cache_Hit_Ratio_Crit',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050319144508000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Server_Summary.Cache_Hit_Ratio *LT 70.0',
         '',
         'MS_S',
         'E',
         '0',
         '001000',
         '',
         '*NONE',
         'SEV=Critical;~',
         '',
         'Percentage of data cache hits to total data requests',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Cache_Hit_Ratio_Warn',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050319144910000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Server_Summary.Cache_Hit_Ratio *LT 90.0
          *AND *VALUE MS_SQL_Server_Summary.Cache_Hit_Ratio *GE 70.0',
         '',
         'MS_S',
         'E',
         '0',
         '001000',
         '',
         '*NONE',
         'SEV=Warning;~',
         '',
         'Cache buffers scanned to find a free buffer',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Cache_Max_FreePage_Crit',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050319144859000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Server_Summary.Cache_Maximum_Free_Page_Scan
          *GT 15',
         '',
         'MS_S',
         'E',
         '0',
         '001000',
         '',
         '*NONE',
         'SEV=Critical;~',
         '',
         'Cache buffers scanned to find a free buffer',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Cache_Max_FreePage_Warn',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050319144954000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Server_Summary.Cache_Maximum_Free_Page_Scan
          *GT 5 *AND
          *VALUE MS_SQL_Server_Summary.Cache_Maximum_Free_Page_Scan
          *LE 15',
         '',
         'MS_S',
         'E',
         '0',
         '001000',
         '',
         '*NONE',
         'SEV=Warning;~',
         '',
         'Cache buffers scanned to find a free buffer',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Client_Cnt_Pct_Used_Crit',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050319145659000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE
         MS_SQL_Statistics_Summary.Client_Count_Percent_Used
         *GT 90.0',
         '',
         'MS_S',
         'E',
         '0',
         '001000',
         '',
         '*NONE',
         'SEV=Critical;~',
         '',
         'Percentage of available client licenses being used',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Client_Cnt_Pct_Used_Warn',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050319145607000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE
         MS_SQL_Statistics_Summary.Client_Count_Percent_Used
         *GT 70.0 *AND
         *VALUE MS_SQL_Statistics_Summary.Client_Count_Percent_Used
         *LE 90.0',
         '',
         'MS_S',
         'E',
         '0',
         '001000',
         '',
         '*NONE',
         'SEV=Warning;~',
         '',
         'Percentage of available client licenses being used',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_DB_Status_Crit',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050407151236000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Database_Detail.Database_Status
         *NE Available',
         '',
         'MS_S',
         'E',
         '0',
         '000500',
         '',
         '*NONE',
         'ATOM=KOQDBD.UDBNAME;SEV=Critical;~',
         '',
       'Database is unavailable due to an error or from being offline',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_DB_Space_Pct_Used_Crit',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050320165457000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Database_Detail.Database_Space_Percent_Used
         *GT 90.0',
         '',
         'MS_S',
         'E',
         '0',
         '003000',
         '',
         '*NONE',
         'ATOM=KOQDBD.UDBNAME;SEV=Critical;~',
         '',
         'Percent of dababase space used to total space allowed',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_DB_Space_Pct_Used_Warn',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050320165402000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Database_Detail.Database_Space_Percent_Used
         *GT 70.0 *AND
         *VALUE MS_SQL_Database_Detail.Database_Space_Percent_Used
         *LE 90.0',
         '',
         'MS_S',
         'E',
         '0',
         '003000',
         '',
         '*NONE',
         'ATOM=KOQDBD.UDBNAME;SEV=Warning;~',
         '',
         'Percent of dababase space used to total space allowed',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_DB_Suspect_Crit',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050407151035000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Database_Detail.Suspect_Database *EQ True',
         '',
         'MS_S',
         'E',
         '0',
         '000500',
         '',
         '*NONE',
         'ATOM=KOQDBD.UDBNAME;SEV=Critical;~',
         '',
         'Database is inconsistent due to a recovery failure',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Failed_Jobs_Crit',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050319152353000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Server_Summary.SQLServerAgent_Failed_Jobs
         *GT 0',
         '',
         'MS_S',
         'E',
         '0',
         '000500',
         '',
         '*NONE',
         'SEV=Critical;~',
         '',
         'Number of failed SQL Server Agent jobs',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Fragmentation_Crit',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050320171042000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Table_Detail.Fragmentation *GT 80.0',
         '',
         'MS_S',
         'E',
         '0',
         '003000',
         '',
         '*NONE',
         'ATOM=KOQTBLD.UTBLNAME;SEV=Critical;~',
         '',
         'Database table fragmentation percentage',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Fragmentation_Warn',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050320171042000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Table_Detail.Fragmentation
         *GT 30.0 *AND
         *VALUE MS_SQL_Table_Detail.Fragmentation
         *LE 80.0',
         '',
         'MS_S',
         'E',
         '0',
         '003000',
         '',
         '*NONE',
         'ATOM=KOQTBLD.UTBLNAME;SEV=Warning;~',
         '',
         'Database table fragmentation percentage',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_IO_Disk_Errors_Crit',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050320171042000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         "*IF *VALUE MS_SQL_Statistics_Detail.Statistic_Name
         *EQ 'io errors'
         *AND *VALUE MS_SQL_Statistics_Detail.Current_Value
         *GT 0",
         '',
         'MS_S',
         'E',
         '0',
         '001000',
         '',
         '*NONE',
         'SEV=Critical;~',
         '',
         'SQL Server disk read or write errors',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Log_Space_Pct_Used_Crit',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050320170307000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Database_Detail.Log_Space_Percent_Used
         *GT 90.0',
         '',
         'MS_S',
         'E',
         '0',
         '003000',
         '',
         '*NONE',
         'ATOM=KOQDBD.UDBNAME;SEV=Critical;~',
         '',
         'Percent of used transaction log space used to allowable',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Log_Space_Pct_Used_Warn',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050320170225000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Database_Detail.Log_Space_Percent_Used *GT
         70.0 *AND
         *VALUE MS_SQL_Database_Detail.Log_Space_Percent_Used
         *LE 90.0',
         '',
         'MS_S',
         'E',
         '0',
         '003000',
         '',
         '*NONE',
         'ATOM=KOQDBD.UDBNAME;SEV=Warning;~',
         '',
         'Percent of used transaction log space used to allowable',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_LogonPct_Crit',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050319152159000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE
         MS_SQL_Statistics_Summary.Percent_Max_Logons_Active
         *GT 90.0',
         '',
         'MS_S',
         'E',
         '0',
         '003000',
         '',
         '*NONE',
         'SEV=Critical;~',
         '',
         'Percent active user connection to available connections',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Network_Read_Rate_Crit',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050319151613000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Statistics_Summary.Network_Read_Rate
         *GT 150',
         '',
         'MS_S',
         'E',
         '0',
         '001000',
         '',
         '*NONE',
         'SEV=Critical;~',
         '',
         'Data stream packet read rate',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Network_Read_Rate_Warn',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050319151538000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Statistics_Summary.Network_Read_Rate
         *GT 50 *AND
         *VALUE MS_SQL_Statistics_Summary.Network_Read_Rate
         *LE 150',
         '',
         'MS_S',
         'E',
         '0',
         '001000',
         '',
         '*NONE',
         'SEV=Warning;~',
         '',
         'Data stream packet read rate',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Network_Write_Rate_Crit',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050319151832000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Statistics_Summary.Network_Write_Rate
         *GT 150',
         '',
         'MS_S',
         'E',
         '0',
         '001000',
         '',
         '*NONE',
         'SEV=Critical;~',
         '',
         'Data stream packet write rate',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Network_Write_Rate_Warn',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050319151750000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Statistics_Summary.Network_Write_Rate
         *GT 50 *AND
         *VALUE MS_SQL_Statistics_Summary.Network_Write_Rate
         *LE 150',
         '',
         'MS_S',
         'E',
         '0',
         '001000',
         '',
         '*NONE',
         'SEV=Warning;~',
         '',
         'Data stream packet write rate',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Num_Process_Blocked_Crit',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050320171520000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Process_Summary.Total_Processes_Blocked
         *GT 10',
         '',
         'MS_S',
         'E',
         '0',
         '001000',
         '',
         '*NONE',
         'SEV=Critical;~',
         '',
         'Number of blocked processes',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Num_Process_Blocked_Warn',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050320171424000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Process_Summary.Total_Processes_Blocked
         *GT 2 *AND
         *VALUE MS_SQL_Process_Summary.Total_Processes_Blocked
         *LE 10',
         '',
         'MS_S',
         'E',
         '0',
         '001000',
         '',
         '*NONE',
         'SEV=Warning;~',
         '',
         'Number of blocked processes',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Oldest_Transaction_Crit',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050320170642000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Database_Detail.Oldest_Open_Transaction
         *GT 15',
         '',
         'MS_S',
         'E',
         '0',
         '000500',
         '',
         '*NONE',
         'ATOM=KOQDBD.UDBNAME;SEV=Critical;~',
         '',
         'Age (in minutes) of oldest database transaction',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Oldest_Transaction_Warn',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050320170546000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Database_Detail.Oldest_Open_Transaction
         *GT 5 *AND
         *VALUE MS_SQL_Database_Detail.Oldest_Open_Transaction
         *LE 15',
         '',
         'MS_S',
         'E',
         '0',
         '000500',
         '',
         '*NONE',
         'ATOM=KOQDBD.UDBNAME;SEV=Warning;~',
         '',
         'Age (in minutes) of oldest database transaction',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Opt_Stats_Age_Crit',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050320171042000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Table_Detail.Optimizer_Statistics_Age
         *GT 1440',
         '',
         'MS_S',
         'E',
         '0',
         '030000',
         '',
         '*NONE',
         'ATOM=KOQTBLD.UTBLNAME;SEV=Critical;~',
         '',
         'Time (minutes) since table statistics were last updated',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Opt_Stats_Age_Warn',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050320171042000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Table_Detail.Optimizer_Statistics_Age
         *GT 180 *AND
         *VALUE MS_SQL_Table_Detail.Optimizer_Statistics_Age
         *LE 1440',
         '',
         'MS_S',
         'E',
         '0',
         '030000',
         '',
         '*NONE',
         'ATOM=KOQTBLD.UTBLNAME;SEV=Warning;~',
         '',
         'Time (minutes) since table statistics were last updated',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Proc_Buffs_Active_Crit',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050319150338000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE
         MS_SQL_Server_Detail.Procedure_Buffers_Percent_Active
         *LT 75.0',
         '',
         'MS_S',
         'E',
         '0',
         '001000',
         '',
         '*NONE',
         'SEV=Critical;~',
         '',
         'Percent of active procedure buffers',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Proc_Buffs_Active_Warn',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050319150221000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE
         MS_SQL_Server_Detail.Procedure_Buffers_Percent_Active
         *LT 95.0 *AND
         *VALUE MS_SQL_Server_Detail.Procedure_Buffers_Percent_Active
         *GE 75.0',
         '',
         'MS_S',
         'E',
         '0',
         '001000',
         '',
         '*NONE',
         'SEV=Warning;~',
         '',
         'Percent of active procedure buffers',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Proc_Buffs_Used_Crit',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050319150615000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE
         MS_SQL_Server_Detail.Procedure_Buffers_Percent_Used
         *LT 75.0',
         '',
         'MS_S',
         'E',
         '0',
         '001000',
         '',
         '*NONE',
         'SEV=Critical;~',
         '',
         'Percent of used procedure buffers buffers',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Proc_Buffs_Used_Warn',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050319150523000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE
         MS_SQL_Server_Detail.Procedure_Buffers_Percent_Used
         *LT 95.0 *AND
         *VALUE MS_SQL_Server_Detail.Procedure_Buffers_Percent_Used
         *GE 75.0',
         '',
         'MS_S',
         'E',
         '0',
         '001000',
         '',
         '*NONE',
         'SEV=Warning;~',
         '',
         'Percent of used procedure buffers',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Proc_Cache_Active_Crit',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050319150936000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE
         MS_SQL_Server_Detail.Procedure_Cache_Percent_Active
         *LT 75.0',
         '',
         'MS_S',
         'E',
         '0',
         '001000',
         '',
         '*NONE',
         'SEV=Critical;~',
         '',
         'Percent of procedure cache with executing procedures',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Proc_Cache_Active_Warn',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050319150846000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE
         MS_SQL_Server_Detail.Procedure_Cache_Percent_Active
         *LT 95.0 *AND *VALUE
         MS_SQL_Server_Detail.Procedure_Cache_Percent_Active
         *GE 75.0',
         '',
         'MS_S',
         'E',
         '0',
         '001000',
         '',
         '*NONE',
         'SEV=Warning;~',
         '',
         'Percent of procedure cache with executing procedures',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Proc_Cache_Used_Crit',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050319151226000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Server_Detail.Procedure_Cache_Percent_Used
         *LT 75.0',
         '',
         'MS_S',
         'E',
         '0',
         '001000',
         '',
         '*NONE',
         'SEV=Critical;~',
         '',
         'Percent of procedure cache buffers with procedures',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Proc_Cache_Used_Warn',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050319151150000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Server_Detail.Procedure_Cache_Percent_Used
         *LT 95.0 *AND *VALUE
         MS_SQL_Server_Detail.Procedure_Cache_Percent_Used *GE 75.0',
         '',
         'MS_S',
         'E',
         '0',
         '001000',
         '',
         '*NONE',
         'SEV=Warning;~',
         '',
         'Percent of procedure cache buffers with procedures',
         'To be added.' );


INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Repl_Latency_Crit',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050320171118000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Database_Detail.Replication_Latency
         *GT 900000',
         '',
         'MS_S',
         'E',
         '0',
         '000500',
         '',
         '*NONE',
         'ATOM=KOQDBD.UDBNAME;SEV=Critical;~',
         '',
         'Replication processing delay (in milliseconds)',
         'To be added.' );



INSERT INTO O4SRV.TSITDESC
 ( SITNAME, AFFINITIES, ALERTLIST,
   AUTOSOPT, AUTOSTART, CMD,
   DESTNODE, EVENTATTR, HUB,
   LOCFLAG, LSTCCSID, LSTDATE,
   LSTRELEASE, LSTUSRPRF, NOCOL,
   NOTIFYARGS, NOTIFYOPTS, OBJECTLOCK,
   PDT, PRNAMES, QIBCLASSID,
   QIBSCOPE, REEV_DAYS, REEV_TIME,
   REFLEXOK, SENDMSGQ, SITINFO,
   SOURCE, TEXT, ADVISE )
VALUES ( 'MS_SQL_Repl_Latency_Warn',
         '00000000000W00000000000000000000#y000000000',
         '',
         'NNN',
         '*NO',
         '*NONE',
         '',
         '',
         '',
         '',
         'en_US',
         '1050320171042000',
         'V100',
         'IBM',
         '',
         '',
         '',
         '',
         '*IF *VALUE MS_SQL_Database_Detail.Replication_Latency
         *GT 120000 *AND *VALUE
         MS_SQL_Database_Detail.Replication_Latency *LE 900000',
         '',
         'MS_S',
         'E',
         '0',
         '000500',
         '',
         '*NONE',
         'ATOM=KOQDBD.UDBNAME;SEV=Warning;~',
         '',
         'Replication processing delay (in milliseconds)',
         'To be added.' );


INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Long_Running_Trans_Warn",
   "Y",
   "1080908131514000",
   "",
   "",
   "5140"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Mirror_Failover_Critical",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Mirror_Lagging_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Mirror_Suspended_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );

/* log shipping */
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Log_Shipping_Status_Error",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );

/* log shipping */
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*MS_SQL_SERVER",
   "MS_SQL_Log_Shipping_Warning",
   "Y",
   "0960923085142000",
   "",
   "",
   "5140"
  );

INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Cache_Avg_FreePage_Crit',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050319143928000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );


INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Cache_Avg_FreePage_Warn',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050317112230000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );


INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Cache_Hit_Ratio_Crit',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050319144508000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );



INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Cache_Hit_Ratio_Warn',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050319144351000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );



INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Cache_Max_FreePage_Crit',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050319144900000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );



INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Cache_Max_FreePage_Warn',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050319144731000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );



INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Client_Cnt_Pct_Used_Crit',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050319145659000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );



INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Client_Cnt_Pct_Used_Warn',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050319145608000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );



INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_DB_Status_Crit',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050407150724000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );



INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_DB_Space_Pct_Used_Crit',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050320165457000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );


INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_DB_Space_Pct_Used_Warn',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050320165402000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );



INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_DB_Suspect_Crit',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050407151036000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );



INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Failed_Jobs_Crit',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050319152354000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );



INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Fragmentation_Crit',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050328152933000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );



INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Fragmentation_Warn',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050328152933000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );



INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_IO_Disk_Errors_Crit',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050328152933000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );



INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Log_Space_Pct_Used_Crit',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050320170307000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );



INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Log_Space_Pct_Used_Warn',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050320170226000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );



INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_LogonPct_Crit',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050319152159000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );



INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Network_Read_Rate_Crit',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050319151613000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );



INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Network_Read_Rate_Warn',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050319151538000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );



INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Network_Write_Rate_Crit',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050319151832000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );



INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Network_Write_Rate_Warn',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050319151750000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );



INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Num_Process_Blocked_Crit',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050320171520000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );



INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Num_Process_Blocked_Warn',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050320171424000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );



INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Oldest_Transaction_Crit',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050320170643000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );



INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Oldest_Transaction_Warn',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050320170547000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );



INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Opt_Stats_Age_Crit',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050328152933000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );


INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Opt_Stats_Age_Warn',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050328152933000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );


INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Proc_Buffs_Active_Crit',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050319150338000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );


INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Proc_Buffs_Active_Warn',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050318093943000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );


INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Proc_Buffs_Used_Crit',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050319150615000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );


INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Proc_Buffs_Used_Warn',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050319150523000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );


INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Proc_Cache_Active_Crit',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050319150936000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );


INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Proc_Cache_Active_Warn',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050319150848000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );


INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Proc_Cache_Used_Crit',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050319151226000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );


INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Proc_Cache_Used_Warn',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050319151150000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );


INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Repl_Latency_Crit',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050320171118000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );


INSERT INTO O4SRV.TOBJACCL
 ( OBJNAME, OBJCLASS, HUB,
   NODEL, ACTIVATION, INFO,
   LOCFLAG, LSTDATE, LSTRELEASE,
   LSTUSRPRF, NETID, OBJECTLOCK,
   OPERATION, PATHNAME, PERCOLATE,
   SOURCE )
VALUES ( 'MS_SQL_Repl_Latency_Warn',
         '5140',
         'Y',
         '*MS_SQL_SERVER',
         '',
         '',
         '',
         '1050320171042000',
         '',
         'IBM',
         '',
         '',
         '',
         '',
         '',
         '' );





UPDATE O4SRV.TPCYDESC
    SET TEXT = "Koq:KOQ1360",
        LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE PCYNAME = "MS_SQL_DB_free_space_critical";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1361",
        SITINFO = "SEV=Critical",
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Block_Critical";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1362",
        SITINFO = "SEV=Warning",
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Block_Warning";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1363",
        SITINFO = "SEV=Critical",
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_CPU_Critical";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1364",
        SITINFO = "SEV=Warning", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_CPU_Warning";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1365",
        SITINFO = 'SEV=Critical;~',
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Cache_Avg_FreePage_Crit";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Cache_Avg_FreePage_Crit";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1366",
        SITINFO = 'SEV=Warning;~',
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Cache_Avg_FreePage_Warn";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Cache_Avg_FreePage_Warn";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1367", 
        SITINFO = 'SEV=Critical;~',
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Cache_Hit_Ratio_Crit";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Cache_Hit_Ratio_Crit";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1368", 
        SITINFO = 'SEV=Warning;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Cache_Hit_Ratio_Warn";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Cache_Hit_Ratio_Warn";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1369",
        SITINFO = 'SEV=Critical;~',
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Cache_Max_FreePage_Crit";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Cache_Max_FreePage_Crit";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1370",
        SITINFO = 'SEV=Warning;~',
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Cache_Max_FreePage_Warn";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Cache_Max_FreePage_Warn";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1371", 
        SITINFO = 'SEV=Critical;~',
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Client_Cnt_Pct_Used_Crit";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Client_Cnt_Pct_Used_Crit";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1372",
        SITINFO = 'SEV=Warning;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Client_Cnt_Pct_Used_Warn";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Client_Cnt_Pct_Used_Warn";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1373", 
        SITINFO = "SEV=Warning" ,
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Collection_Status_Warnin";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1374", 
        SITINFO = "SEV=Warning", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_DB_Error_Status";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1375", 
        SITINFO = "SEV=Critical", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_DB_Freespace_Critical";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_DB_Freespace_Critical";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1376", 
        SITINFO = "SEV=Warning",  
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_DB_Freespace_Warning";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1377", 
        SITINFO = "SEV=Warning", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_DB_Num_Errors_Warning";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1378", 
        SITINFO = 'ATOM=KOQDBD.UDBNAME;SEV=Critical;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_DB_Space_Pct_Used_Crit";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_DB_Space_Pct_Used_Crit";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1379", 
        SITINFO = 'ATOM=KOQDBD.UDBNAME;SEV=Warning;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_DB_Space_Pct_Used_Warn";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_DB_Space_Pct_Used_Warn";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1380", 
        SITINFO = 'ATOM=KOQDBD.UDBNAME;SEV=Critical;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_DB_Status_Crit";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_DB_Status_Crit";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1381", 
        SITINFO = 'ATOM=KOQDBD.UDBNAME;SEV=Critical;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_DB_Suspect_Crit";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_DB_Suspect_Crit";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1382", 
        SITINFO = "SEV=Warning", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Device_Free_PCT_Warning";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1383", 
        SITINFO = "SEV=Warning", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_ErrorLog_Size_Warning";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1384", 
        SITINFO = "SEV=Warning", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Error_Warning";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1385", 
        SITINFO = 'SEV=Critical;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Failed_Jobs_Crit";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Failed_Jobs_Crit";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1386", 
        SITINFO = 'ATOM=KOQTBLD.UTBLNAME;SEV=Critical;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Fragmentation_Crit";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Fragmentation_Crit";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1387", 
        SITINFO = 'ATOM=KOQTBLD.UTBLNAME;SEV=Warning;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Fragmentation_Warn";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Fragmentation_Warn";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1388", 
        SITINFO = "SEV=Warning", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_IOERR_Startup_Warning";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1389", 
        SITINFO = "SEV=Warning", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_IOError_Curintvl_Warning";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1390", 
        SITINFO = 'SEV=Critical;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_IO_Disk_Errors_Crit";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_IO_Disk_Errors_Crit";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1391", 
        SITINFO = "SEV=Critical", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Log_Freespace_Critical";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1392", 
        SITINFO = "SEV=Warning", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Log_Freespace_Warning";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1393", 
        SITINFO = 'ATOM=KOQDBD.UDBNAME;SEV=Critical;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Log_Space_Pct_Used_Crit";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Log_Space_Pct_Used_Crit";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1394", 
        SITINFO = 'ATOM=KOQDBD.UDBNAME;SEV=Warning;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Log_Space_Pct_Used_Warn";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Log_Space_Pct_Used_Warn";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1395", 
        SITINFO = "SEV=Warning", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Log_Suspend_Warning";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1396", 
        SITINFO = 'SEV=Critical;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_LogonPct_Crit";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_LogonPct_Crit";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1397", 
        SITINFO = "SEV=Warning", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_LogonPct_Warning";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1398", 
        SITINFO = 'SEV=Critical;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Network_Read_Rate_Crit";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Network_Read_Rate_Crit";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1399", 
        SITINFO = 'SEV=Warning;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Network_Read_Rate_Warn";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Network_Read_Rate_Warn";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1400", 
        SITINFO = 'SEV=Critical;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Network_Write_Rate_Crit";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Network_Write_Rate_Crit";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1401", 
        SITINFO = 'SEV=Warning;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Network_Write_Rate_Warn";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Network_Write_Rate_Warn";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1402", 
        SITINFO = 'SEV=Critical;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Num_Process_Blocked_Crit";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Num_Process_Blocked_Crit";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1403", 
        SITINFO = 'SEV=Warning;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Num_Process_Blocked_Warn";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Num_Process_Blocked_Warn";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1404", 
        SITINFO = 'ATOM=KOQDBD.UDBNAME;SEV=Critical;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Oldest_Transaction_Crit";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Oldest_Transaction_Crit";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1405", 
        SITINFO = 'ATOM=KOQDBD.UDBNAME;SEV=Warning;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Oldest_Transaction_Warn";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Oldest_Transaction_Warn";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1406", 
        SITINFO = 'ATOM=KOQTBLD.UTBLNAME;SEV=Critical;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Opt_Stats_Age_Crit";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Opt_Stats_Age_Crit";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1407", 
        SITINFO = 'ATOM=KOQTBLD.UTBLNAME;SEV=Warning;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Opt_Stats_Age_Warn";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Opt_Stats_Age_Warn";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1408", 
        SITINFO = "SEV=Critical", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_PCT_MAX_Locks_Critical";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1409", 
        SITINFO = "SEV=Warning", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_PCT_MAX_Locks_Warning";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1410", 
        SITINFO = "SEV=Warning", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Pct_Block_Warning";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1411", 
        SITINFO = "SEV=Warning", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Pct_CPU_Yields_Warning";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1412", 
        SITINFO = "SEV=Warning", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Pct_IO_Warning";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1413", 
        SITINFO = "SEV=Warning", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_ProbAge_GT_17_Warning";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1414", 
        SITINFO = 'SEV=Critical;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Proc_Buffs_Active_Crit";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Proc_Buffs_Active_Crit";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1415", 
        SITINFO = 'SEV=Warning;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Proc_Buffs_Active_Warn";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Proc_Buffs_Active_Warn";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1416", 
        SITINFO = 'SEV=Critical;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Proc_Buffs_Used_Crit";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Proc_Buffs_Used_Crit";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1417", 
        SITINFO = 'SEV=Warning;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Proc_Buffs_Used_Warn";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Proc_Buffs_Used_Warn";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1418", 
        SITINFO = 'SEV=Critical;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Proc_Cache_Active_Crit";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Proc_Cache_Active_Crit";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1419", 
        SITINFO = 'SEV=Warning;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Proc_Cache_Active_Warn";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Proc_Cache_Active_Warn";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1420", 
        SITINFO = 'SEV=Critical;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Proc_Cache_Used_Crit";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Proc_Cache_Used_Crit";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1421", 
        SITINFO = 'SEV=Warning;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Proc_Cache_Used_Warn";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Proc_Cache_Used_Warn";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1422", 
        SITINFO = "SEV=Warning", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_ProcessLockSleep_Warnin";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1423", 
        SITINFO = "SEV=Warning", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_ProcessOthSleep_Warning";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1424", 
        SITINFO = "SEV=Warning", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Process_Blocked_Warning";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1425", 
        SITINFO = "SEV=Warning", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Process_Infected_Warnin";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1426", 
        SITINFO = "SEV=Warning", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Processes_Bad_Warning";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1427", 
        SITINFO = "SEV=Warning", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Processes_Stop_Warning";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1428", 
        SITINFO = "SEV=Critical", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Rem_Serv_Stat_Critical";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1429", 
        SITINFO = 'ATOM=KOQDBD.UDBNAME;SEV=Critical;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Repl_Latency_Crit";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Repl_Latency_Crit";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1430", 
        SITINFO = 'ATOM=KOQDBD.UDBNAME;SEV=Warning;~', 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Repl_Latency_Warn";

UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("koq:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "MS_SQL_Repl_Latency_Warn";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1431", 
        SITINFO = "SEV=Critical", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Status_Critical";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1432", 
        SITINFO = "SEV=Critical", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Status_Inactive";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1433", 
        SITINFO = "SEV=Critical", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Total_Locks_Critical";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1434", 
        SITINFO = "SEV=Warning", 
        LSTUSRPRF = "IBM"
    WHERE SITNAME = "MS_SQL_Total_Locks_Warning";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1435"
    WHERE SITNAME = "UADVISOR_KOQ_VKOQSRVR";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Koq:KOQ1436"
    WHERE SITNAME = "UADVISOR_KOQ_VKOQSRVRE";


UPDATE O4SRV.CCT
    SET DESC = "Koq:KOQ1891"
    WHERE NAME = "Database Check-up and Tune-up";

UPDATE O4SRV.CCT
    SET DESC = "Koq:KOQ1892"
    WHERE NAME = "Dump Database";

UPDATE O4SRV.CCT
    SET DESC = "Koq:KOQ1893"
    WHERE NAME = "Dump Transaction Log";

UPDATE O4SRV.CCT
    SET DESC = "Koq:KOQ1894"
    WHERE NAME = "Rebuild Fragmented Indexes";

UPDATE O4SRV.CCT
    SET DESC = "Koq:KOQ1895"
    WHERE NAME = "Refresh Query Optimizer Statistics";

UPDATE O4SRV.CCT
    SET DESC = "Koq:KOQ1896"
    WHERE NAME = "Start SQL Server";

UPDATE O4SRV.CCT
    SET DESC = "Koq:KOQ1897"
    WHERE NAME = "Stop SQL Server";

UPDATE O4SRV.CCT
    SET DESC = "Koq:KOQ1898"
    WHERE NAME = "Update Space Usage Information";


/* added updates for TOBJACCL to set LSTUSRPRF to 'IBM' and LSTRELEASE to blank ("") */
UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_AVG_Blocked_Warning";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Collection_Status_Warnin";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_DB_Error_Status";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_DB_Freespace_Critical";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_DB_Freespace_Warning";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_DB_Num_Errors_Warning";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Device_Free_PCT_Warning";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_ErrorLog_Size_Warning";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_IOERR_Startup_Warning";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_IOError_Curintvl_Warning";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Log_Freespace_Critical";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Log_Freespace_Warning";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Log_Suspend_Warning";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_LogonPct_Warning";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_PCT_MAX_Locks_Critical";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_PCT_MAX_Locks_Warning";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Pct_CPU_Yields_Warning";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Pct_IO_Warning";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_ProbAge_GT_17_Warning";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_ProcessLockSleep_Warnin";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_ProcessOthSleep_Warning";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Process_Blocked_Warning";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Process_Infected_Warnin";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Processes_Bad_Warning";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Processes_Stop_Warning";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Rem_Serv_Stat_Critical";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_CPU_Critical";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_CPU_Warning";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Block_Warning";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Block_Critical";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Total_Locks_Warning";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Total_Locks_Critical";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Pct_Block_Warning";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Error_Warning";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Status_Critical";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Status_Inactive";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Cache_Avg_FreePage_Crit";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Cache_Avg_FreePage_Warn";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Cache_Hit_Ratio_Crit";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Cache_Hit_Ratio_Warn";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Cache_Max_FreePage_Crit";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Cache_Max_FreePage_Warn";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Client_Cnt_Pct_Used_Crit";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""  
    WHERE OBJNAME = "MS_SQL_Client_Cnt_Pct_Used_Warn";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_DB_Status_Crit";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_DB_Space_Pct_Used_Crit";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_DB_Space_Pct_Used_Warn";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_DB_Suspect_Crit";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Failed_Jobs_Crit";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Fragmentation_Crit";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Fragmentation_Warn";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_IO_Disk_Errors_Crit";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Log_Space_Pct_Used_Crit";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Log_Space_Pct_Used_Warn";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_LogonPct_Crit";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Network_Read_Rate_Crit";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Network_Read_Rate_Warn";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Network_Write_Rate_Crit";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Network_Write_Rate_Warn";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Num_Process_Blocked_Crit";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Num_Process_Blocked_Warn";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Oldest_Transaction_Crit";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Oldest_Transaction_Warn";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Opt_Stats_Age_Crit";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Opt_Stats_Age_Warn";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Proc_Buffs_Active_Crit";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Proc_Buffs_Active_Warn";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Proc_Buffs_Used_Crit";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Proc_Buffs_Used_Warn";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Proc_Cache_Active_Crit";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Proc_Cache_Active_Warn";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Proc_Cache_Used_Crit";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Proc_Cache_Used_Warn";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Repl_Latency_Crit";

UPDATE O4SRV.TOBJACCL
    SET LSTUSRPRF = "IBM",
        LSTRELEASE = ""
    WHERE OBJNAME = "MS_SQL_Repl_Latency_Warn";


